<div class="row">
	<div class="span9">
	<?php echo Form::open('admin/category/save', array('id'=>'_form', 'class'=>'form-horizontal'));?>
	<fieldset>
		<legend><h4>Category</h4></legend>
		<div class="alert" style="<?php echo $flash_data ? ' display:block' : 'display:none';?>">
	    	<button type="button" class="close" data-dismiss="alert">&times;</button>
	    	<span id="err-data"><?php echo $flash_data;?></span>
	    </div>
		<div class="row" style="margin-bottom:10px;">
			<div class="span2">
				<?php echo Form::label('name', 'Category Name', array('class'=>'control-label'));?>
			</div>
			<div class="span7">
			<?php
			if (Arr::get($data, 'id'))
			{
				echo Form::input('name', Arr::get($data, 'name'), array('class'=>'span4', 'id'=>'name', 'disabled'=>'disbled'));
			} else {
				echo Form::input('name', Arr::get($data, 'name'), array('class'=>'span4', 'id'=>'name', 'maxlength'=>70));
			}
			?>
			</div>
		</div>
		<div class="row" style="margin-bottom:10px;">
			<div class="span2">
				<?php echo Form::label('roles', 'Roles', array('class'=>'control-label'));?>
			</div>
			<div class="span7">
				<label class="radio"><?php echo Form::radio('roles', '4,5,7', (Arr::get($data, 'roles') == '4,5,7' OR ! Arr::get($data, 'roles')) ? true : false);?> Maker, Checker, Publisher</label>
				<label class="radio"><?php echo Form::radio('roles', '4,5,6,7', Arr::get($data, 'roles') == '4,5,6,7' ? true : false);?> Maker, Checker1, Checker2, Publisher</label>
			</div>
		</div>
		<div class="row" style="margin-bottom:10px;">
			<div class="offset2 span5">
				<?php echo Form::label(NULL, '<strong>Content Type</strong>');?>
			</div>
			<div class="span2" style="text-align:center;">
				<?php echo Form::label(NULL, '<strong>Template</strong>');?>
			</div>
		<?php
		$arr_content_type = Arr::get($data, 'content_types') ? explode(",", Arr::get($data, 'content_types')) : array();
		$arr_tpls = Arr::get($data, 'templates') ? json_decode(Arr::get($data, 'templates'), true) : array();
		foreach ($sql as $ctype)
		{
		?>
			<div class="offset2 span3">
				<?php echo $ctype->name;?>
			</div>
			<div class="span2">
				<div class="make-switch switch-small switch" data-on-label="On" data-off-label="Off" data-on="success" data-off="danger">
					<input type="checkbox" class="ctype" name="ctype[]" value="<?php echo $ctype->id;?>"<?php echo in_array($ctype->id, $arr_content_type) ? ' checked="checked"' : '';?> />
				</div>
			</div>
			<div class="span2" style="text-align:center;">
				<button type="button" id="btn-<?php echo $ctype->id;?>" rel="<?php echo $ctype->id;?>" class="btn btn-mini btn-warning tpl-btn"<?php echo in_array($ctype->id, $arr_content_type) ? '' : ' disabled="disabled"';?>><i class="icon-folder-close icon-white"></i></button>
				<input type="hidden" id="def-tpl-<?php echo $ctype->id;?>" name="def-tpl_<?php echo $ctype->id;?>" value="<?php echo $ctype->def_tpl;?>">
				<input type="hidden" id="tpl-<?php echo $ctype->id;?>" name="tpl_<?php echo $ctype->id;?>" value="<?php echo Arr::get($arr_tpls, $ctype->id) ? Arr::get($arr_tpls, $ctype->id) : $ctype->def_tpl;?>">
			</div>
		<?php
		}
		?>
		</div>
		<div class="row">
			<div class="offset2 span7" id="error-msg">
				<label class="error" for="ctype[]" style="display:none;"></label>
			</div>
		</div>
		<div class="row">
			<div class="offset2 span3">
		    	<button type="submit" class="btn btn-primary"><?php /* echo Arr::get($data, 'id') ? 'Edit' : 'Add';?> Category*/?> Save</button>
		    	<button type="reset" class="btn"><i class="icon-refresh"></i> Clear</button>
		    </div>
		    <?php
		    if (Arr::get($data, 'id'))
		    {
		    ?>
		    <div class="span4">
		    	<span class="pull-right">
			    	<button type="button" id="btn-check-del" class="btn btn-danger">Delete Category</button>
			    </span>
		    </div>
		    <?php
		    }
		    ?>
	    </div>
	</fieldset>
	<input type="hidden" name="token" id="token" value="<?php echo Security::token(true);?>" />
	<input type="hidden" name="id" id="categid" value="<?php echo Arr::get($data, 'id');?>" />
	<?php echo Form::close();?>
	<div id="comment-form" style="display:none;">
		<?php echo Form::open('admin/category/delete', array('id'=>'_form-del', 'class'=>'form-horizontal'));?>
		<div class="row">
			<div class="offset2 span7">
				<label>Your comment here:</label>
				<?php echo Form::textarea('comment', NULL, array('class'=>'span3 htmlEditor htmlEditorLimit', 'id'=>'comment', 'maxlength'=>500));?>
				<script>
					CKEDITOR.replace("comment", {
						width: 700
					});
				</script>
			</div>
		</div>
		<div class="row" style="margin-top:20px;">
			<div class="offset2 span7">
				<button type="submit" id="btn-del" class="btn btn-danger">Confirm & Delete</button>
				<a class="btn" href="<?php echo URL::site('admin/category');?>">Cancel</a>
			</div>
		</div>
		<input type="hidden" name="token" value="<?php echo Security::token();?>" />
		<input type="hidden" name="id" id="categ_id" value="<?php echo Arr::get($data, 'id');?>" />
		<?php echo Form::close();?>
	</div>
	</div>
</div>
<script src="<?php echo URL::site('assets/colorbox/jquery.colorbox-min.js');?>"></script>
<link href="<?php echo URL::site('assets/colorbox/colorbox.css');?>" rel="stylesheet">
<script src="<?php echo URL::site('assets/js/additional-methods.js');?>"></script>
<script type="text/javascript">
$('#_form').validate({
	ignore: [],
	rules: {
		name: {
			required: true,
			maxlength: 70,
			remote: {
				url: "<?php echo URL::site('admin/category/check');?>",
				type: "post"
			},
			textfield: true
		},
		'ctype[]': {
			required: true
		}
	},
	messages: {
		name: {
			required: 'Please input a Category Name',
			maxlength: 'The Category Name field should no longer allow entries in excess of 70 number of characters',
			remote: 'Category Name already exists. Please nominate a different name.',
			textfield: 'Special Characters are not allowed.'
		},
		'ctype[]': {
			required: 'Please select a Content Type'
		}
	}
});

$('#_form-del').validate({
	ignore: "input:hidden:not(input:hidden.required),input:hidden:not(input:hidden.htmlEditor)",
	errorPlacement: function (error, element) {
		if (element.hasClass("htmlEditor")) {
			error.insertAfter(element.next());
		}
		else {
			error.insertAfter(element);
		}
	},
	submitHandler: function(form) {
		form.submit();
	}
});

$('.switch').on('switch-change', function(e, data){
	var $el = data.el;
	var status = data.value;
	var id = $el.val();
	if (status)
	{
		$('#btn-'+id).removeAttr('disabled');
	} else {
		$('#btn-'+id).attr('disabled', 'disabled');
	}
});

$(document).on('click', '.tpl-btn', function(){
	var id = $(this).attr('rel');
	var def_tpls = $('#def-tpl-'+id).val();
	var tpls = $('#tpl-'+id).val();
	var categ_id = $('#categ_id').val();
	$.colorbox({
		href: "<?php echo URL::site('admin/category/select_tpl');?>",
		data: {ctype_id: id, def_tpls: def_tpls, tpls: tpls, categ_id: categ_id}
	});
});

// color box, close button
$(document).on('click', '#cbox-btn-close', function(){
	$.colorbox.close();
});

$(document).on('click', '.tpl-img', function(){
	var img = $(this).attr('data-main');
	$.post("<?php echo URL::site('admin/template/view_main');?>", {img: img}, function(data){
		var win=window.open('about:blank');
	   with(win.document)
	   {
	      open();
	      write(data);
	      close();
	   }
	});
});

// validate a select a template form (colorbox)
$(document).on('click', '#cbox-btn-save', function(){
	var form = $('#_form_select_tpl');
	form.validate({
		rules: {
			'tpl[]': 'required'
		},
		messages: {
			'tpl[]': 'Please select at least one Template'
		},
		errorPlacement: function (error, element) {
			$("#tpl-error-msg").html('');
         error.appendTo($("#tpl-error-msg"));
      }
	});

	if (form.valid())
	{
		var ctype_id = $('#ctype_id').val();
		var ctype = '';
		$('input[type=checkbox].tpl').each(function(){
			if (this.checked)
			{
				ctype += (ctype ? ',' : '') + $(this).val();
			}
		});

		$('#tpl-'+ctype_id).val(ctype);
		$.colorbox.close();
	}
});

$(document).on('click', '#btn-check-del', function(){
	var id = $('#categid').val();
	var token = $('#token').val();

	$('#err-data').html('');
	$('.alert').hide();
	if (confirm('Are you sure you want to delete this Category?'))
	{
		$.post("<?php echo URL::site('admin/category/check_delete');?>", {categ_id: id, token: token}, function(d){
			if (d.user == true || d.cms == true) {
				if (d.user == true && d.cms == false)
				{
					$('#err-data').html('Cannot process delete request. User/s are defined under this category.<br />Request User Manager to delete User or delegate User to another Category');
				} else if (d.user == false && d.cms == true) {
					$('#err-data').html('Cannot process delete request. Posting/s is/are linked under this Category.<br />Try again at a later time when posting/s have been purged.');
				} else {
					$('#err-data').html('Cannot process delete request. User/s and Posting/s are defined under this category');
				}
				$('.alert').fadeIn();
			} else {
				// show comment form
				$('#comment-form').fadeIn();
			}
		}, 'json');
	}
});
</script>