<div class="row">
	<div class="span6">
		<div id="notice" class="alert-error alert" style="display:none;">
			<a href="javascript:void(0);" class="close">&times;</a>
			Invalid login info.  Please try again.
		</div>
		<?php echo Form::open('admin/misc/update_pw', array('id'=>'_form', 'class'=>'form-horizontal'));?>
		<fieldset>
			<legend>Change Password</legend>
			<div class="control-group">
				<label class="control-label">Username:</label>
				<div class="controls">
					<input type="text" name="username" value="<?php echo Arr::get($data, 'username');?>" class="span3 required" id="username" />
				</div>
			</div>
			<div class="control-group">
				<label class="control-label">Old Password:</label>
				<div class="controls">
					<input type="password" name="old_password" class="span3 required" id="old_password" />
				</div>
			</div>
			<div class="control-group">
				<label class="control-label">New Password:</label>
				<div class="controls">
					<input type="password" name="new_password" class="span3 required" id="new_password" />
				</div>
			</div>
			<div class="control-group">
				<label class="control-label">Re-type Password:</label>
				<div class="controls">
					<input type="password" name="new_password2" class="span3 required" id="new_password2" />
				</div>
			</div>
			<div class="form-actions">
				<button type="submit" class="btn btn-primary"><i class="icon-ok icon-white"></i> Update Password</button>
			</div>
		</fieldset>
		<input type="hidden" name="user_id" value="<?php echo Arr::get($data, 'user_id');?>" />
		<input type="hidden" name="token" value="<?php echo Security::token(true);?>" />
		<?php echo Form::close();?>
	</div>
</div>
<script src="<?php echo URL::site('assets/js/jquery.validate.min.js');?>"></script>
<script src="<?php echo URL::site('assets/js/additional-methods.js');?>"></script>
<script type="text/javascript">
$(document).ready(function(){
	$("#_form").validate({
		rules: {
			username: {
				required: true
			},
			new_password: {
				//valid_pw: true,
				remote: {
      				url: "<?php echo URL::site('admin/misc/check_pw');?>",
        			type: "post",
        			data: {
        				username: function(){
        					return $("#username").val();
        				},
        				old_password: function(){
        					return $("#old_password").val();
        				}
        			}
      			}
			},
			new_password2: {
      			equalTo: "#new_password"
    		}
		},
		messages: {
			new_password: {
				remote: "Your password was changed recently. Please wait 24-hours before changing your password."
			}
		}
	});
});
</script>
