<?php echo Form::open('forms/send', array('id'=>'_form'));?>
<blockquote><label><strong>Instructions:</strong>This form applies to new or renewals of policies so please ensure to fill it out completely especially the mandatory fields(*). If not applicable, indicate N/A.</label></blockquote>
<div class="row">
	<div class="span4"><label class="control-label">Are you an existing BPI/MS Client?<br />If yes, please indicate policy number.</label></div>
	<div class="span4"><?php echo Form::input('policy_number', NULL, array('class'=>'span3', 'id'=>'policy_number', 'maxlength'=>'8'));?></div>
</div>
<div class="row">
	<div class="span4"><label class="control-label">Is your vehicle mortgaged?<br />If yes, please indicate your bank.</label></div>
	<div class="span4"><?php echo Form::input('bank_mortgage', NULL, array('class'=>'span3', 'id'=>'bank_mortgage', 'maxlength'=>'8'));?></div>
</div>
<div class="row">
	<div class="span4"><label class="control-label">Please select the BPI/MS Branch nearest you.</label></div>
	<div class="span4"><?php echo Form::select('bpims_branch', $bpims_branch, NULL, array('class'=>'span3 required', 'id'=>'bpims_branch'));?></div>
</div>
<div class="row" style="margin-bottom:15px;">
	<div class="span7 offset1" style="border-bottom:1px solid #be941a;"><br /></div>
</div>
<blockquote><strong>About Myself</strong></blockquote>
<div class="row">
	<div class="span3"><label class="control-label">Title</label></div>
	<div class="span5"><?php echo Form::select('title', array(''=>'','Ms.'=>'Ms.','Mr.'=>'Mr.'), NULL, array('class'=>'span1', 'id'=>'name'));?></div>
</div>
<div class="row">
	<div class="span3"><label class="control-label">Last Name</label></div>
	<div class="span5"><?php echo Form::input('last_name', NULL, array('class'=>'span4 required textfield5', 'id'=>'last_name', 'maxlength'=>'40'));?></div>
</div>
<div class="row">
	<div class="span3"><label class="control-label">First Name</label></div>
	<div class="span5"><?php echo Form::input('first_name', NULL, array('class'=>'span4 required textfield5', 'id'=>'first_name', 'maxlength'=>'40'));?></div>
</div>
<div class="row">
	<div class="span3"><label class="control-label">Middle Name</label></div>
	<div class="span5"><?php echo Form::input('middle_name', NULL, array('class'=>'span4 textfield5', 'id'=>'middle_name', 'maxlength'=>'40'));?></div>
</div>
<div class="row">
	<div class="span3"><label class="control-label">T.I.N.</label></div>
	<div class="span5"><?php echo Form::input('tin', NULL, array('class'=>'span2 required number', 'id'=>'tin', 'maxlength'=>'9'));?></div>
</div>
<div class="row" style="margin-bottom:15px;">
	<div class="span7 offset1" style="border-bottom:1px solid #be941a;"><br /></div>
</div>
<blockquote><strong>My Contact Information</strong></blockquote>
<div class="row">
	<div class="span3"><label class="control-label">Residence Address</label></div>
	<div class="span5"><?php echo Form::input('address', NULL, array('class'=>'span5 required textfield6', 'id'=>'address', 'maxlength'=>'60'));?></div>
</div>
<div class="row">
	<div class="span3"><label class="control-label">Residence Tel. No./s</label></div>
	<div class="span5"><?php echo Form::input('tel_no', NULL, array('class'=>'span3 number', 'id'=>'tel_no', 'maxlength'=>'10'));?></div>
</div>
<div class="row">
	<div class="span3"><label class="control-label">Mobile No.</label></div>
	<div class="span5">
		<?php echo Form::input('mobile_no', NULL, array('class'=>'span3 required number', 'id'=>'mobile_no', 'maxlength'=>'11'));?>
		<p><small><strong style="color:#b21119;">Note:</strong> Required as all alerts, confirmation and company updates will be sent via SMS.</small></p>
	</div>
</div>
<div class="row">
	<div class="span3"><label class="control-label">E-mail Address</label></div>
	<div class="span5"><?php echo Form::input('email', NULL, array('class'=>'span4 required email', 'id'=>'email', 'maxlength'=>'40'));?></div>
</div>
<div class="row" style="margin-bottom:15px;">
	<div class="span7 offset1" style="border-bottom:1px solid #be941a;"><br /></div>
</div>
<blockquote><strong>My Automobile Information</strong></blockquote>
<div class="row">
	<div class="span3"><label class="control-label">Vehicle Make</label></div>
	<div class="span5"><?php echo Form::select('vehicle_make', $arr_make, NULL, array('class'=>'required', 'id'=>'vehicle_make'));?></div>
</div>
<div class="row">
	<div class="span3"><label class="control-label">Vehicle Model &amp; Sub Model</label></div>
	<div class="span5"><?php echo Form::select('vehicle_model', NULL, NULL, array('class'=>'span4 required', 'id'=>'vehicle_model'));?></div>
</div>
<div class="row" id="model_other" style="display:none;">
	<div class="span3"><label class="control-label"><em>If others, please specify</em></label></div>
	<div class="span5"><?php echo Form::input('vehicle_model_other', NULL, array('class'=>'span4 required textfield9', 'id'=>'vehicle_model_other'));?></div>
</div>
<div class="row">
	<div class="span3"><label class="control-label">Vehicle Year</label></div>
	<div class="span5"><?php echo Form::input('vehicle_year', NULL, array('class'=>'span1 digits', 'id'=>'vehicle_year', 'maxlength'=>'4'));?></div>
</div>
<div class="row">
	<div class="span3"><label class="control-label">Vehicle Use</label></div>
	<div class="span5">
		<label class="radio">
			<input type="radio" name="vehicle_use" id="v-use1" value="Personal Use (Sedan)" class="required"> Personal Use (Sedan)
		</label>
		<label class="radio">
			<input type="radio" name="vehicle_use" id="v-use2" value="Personal/Private Use (SUV/AUV)"> Personal/Private Use (SUV/AUV)
		</label>
		<label class="error" for="vehicle_use" style="display:none;"></label>
	</div>
</div>
<div class="row">
	<div class="span3"><label class="control-label">Plate No.</label></div>
	<div class="span5"><?php echo Form::input('plate_no', NULL, array('class'=>'span2', 'id'=>'plate_no', 'maxlength'=>'16'));?></div>
</div>
<div class="row">
	<div class="span3"><label class="control-label">Serial / Chassis No.</label></div>
	<div class="span5"><?php echo Form::input('chassis_no', NULL, array('class'=>'span3 required', 'id'=>'chassis_no', 'maxlength'=>'20'));?></div>
</div>
<div class="row" style="margin-bottom:15px;">
	<div class="span7 offset1" style="border-bottom:1px solid #be941a;"><br /></div>
</div>
<blockquote><strong>My Referral Details</strong></blockquote>
<div class="row">
	<div class="span3"><label class="control-label">Please indicate your referror</label></div>
	<div class="span5">
		<?php echo Form::input('referror', NULL, array('class'=>'span4', 'id'=>'referror', 'maxlength'=>'40'));?>
		<p><small>(e.g. BPI/BFB Branch, Agent, Intermediaries, others)</small></p>
	</div>
</div>
<div class="row">
	<div class="span8"><strong>Please indicate below the name of the bank personnel or agent who referred to you, if any:</strong></div>
</div>
<div class="row" style="margin-top:10px;">
	<div class="span3"><label class="control-label">Employee Name</label></div>
	<div class="span5"><?php echo Form::input('employee_name', NULL, array('class'=>'span4', 'id'=>'employee_name', 'maxlength'=>'40'));?></div>
</div>
<div class="row">
	<div class="span3"><label class="control-label">Employee ID No.</label></div>
	<div class="span5"><?php echo Form::input('employee_id_no', NULL, array('class'=>'span4', 'id'=>'employee_id_no', 'maxlength'=>'20'));?></div>
</div>
<div class="row">
	<div class="span3"><label class="control-label">Employee Mobile No.</label></div>
	<div class="span5"><?php echo Form::input('employee_mobile', NULL, array('class'=>'span4 number', 'id'=>'employee_mobile', 'maxlength'=>'11'));?></div>
</div>
<div class="row">
	<div class="span3"><label class="control-label">Employee Email Address</label></div>
	<div class="span5"><?php echo Form::input('employee_email', NULL, array('class'=>'span4 email', 'id'=>'employee_email', 'maxlength'=>'40'));?></div>
</div>
<div class="row" style="margin-bottom:15px;">
	<div class="span7 offset1" style="border-bottom:1px solid #be941a;"><br /></div>
</div>
<blockquote><strong>My Insurance Information</strong></blockquote>
<div class="row">
	<div class="span3"><label class="control-label">Accomplished By</label></div>
	<div class="span5"><?php echo Form::input('accomplished_by', NULL, array('class'=>'span4', 'id'=>'accomplished_by', 'maxlength'=>'40'));?></div>
</div>
<div class="row">
	<div class="span3"><label class="control-label">Relationship to Owner</label></div>
	<div class="span5"><?php echo Form::input('relationship_owner', NULL, array('class'=>'span4', 'id'=>'relationship_owner', 'maxlength'=>'40'));?></div>
</div>
<div class="row">
	<div class="span3"><label class="control-label">Contact No./s</label></div>
	<div class="span5"><?php echo Form::input('contact_nos', NULL, array('class'=>'span3', 'id'=>'contact_nos', 'maxlength'=>'20'));?></div>
</div>
<div class="alert">
	<h5>For BPI / BFB Personnel use only:</h5>
	<div class="row">
		<div class="span4"><label class="control-label">Please indicate Customer's RM number</label></div>
		<div class="span4"><?php echo Form::input('rm_number', NULL, array('class'=>'span3 number', 'id'=>'rm_number', 'maxlength'=>'14'));?></div>
	</div>
</div>
<div class="row">
	<div class="span9" style="text-align:center;">
		I hereby declare that the above information certified true and correct.<br />
		By submitting above information, I signify my intention to insure my property with BPI/MS Insurance Corporation<br />
		and that there is no loss as of this day.
	</div>
</div>
<div class="row" style="margin-top:20px;">
	<div class="span6 offset3">
		<button class="btn btn-success" type="submit" id="btn-submitted">Submit</button>
		<button class="btn btn-info" type="reset" id="btn-clear">Clear</button>
	</div>
</div>
<input type="hidden" name="form_type" value="<?php echo $form_type;?>">
<input type="hidden" name="token" value="<?php echo Security::token(true);?>" />
<?php echo Form::close();?>
<script src="<?php echo URL::site('assets/js/jquery.validate.min.js');?>"></script>
<script src="<?php echo URL::site('assets/js/additional-methods.js');?>"></script>
<style type="text/css">
	label.error {color: #b11116; font-size:12px;}
</style>
<script type="text/javascript">
$(document).ready(function(){
	$('#_form').validate({
		rules: {
			tin: {
				minlength: 9
			},
			tel_no: {
				minlength: 7
			},
			mobile_no: {
				minlength: 11
			},
			vehicle_year: {
				minlength: 4
			},
			employee_mobile: {
				minlength: 11
			},
			contact_nos: {
				minlength: 7
			},
			rm_number: {
				minlength: 14
			}
		},
		messages: {
			tin: {
				minlength: 'That number is invalid'
			},
			tel_no: {
				minlength: 'That number is invalid'
			},
			mobile_no: {
				minlength: 'That number is invalid'
			},
			vehicle_year: {
				minlength: 'That number is invalid'
			},
			employee_mobile: {
				minlength: 'That number is invalid'
			},
			contact_nos: {
				minlength: 'That number is invalid'
			},
			rm_number: {
				minlength: 'That number is invalid'
			}
		}
	});

	$('#vehicle_make').change(function(){
		var make = $(this).val();
		$.post("<?php echo URL::site('forms/get_vehicle_model');?>", {make: make},
			function(newOptions){
				var $el = $("#vehicle_model");
				$el.empty(); // remove old options
				$.each(newOptions, function(key, value) {
					$el.append($("<option></option>")
				     .attr("value", key).text(value));
				});
			}, 'json'
		);
	});

	$('#vehicle_model').change(function(){
		var model = $(this).val();
		var s = model.search("OTHERS");

		if (s == -1)
		{
			$('#model_other').hide();
		}
		else
		{
			$('#model_other').show();
		}
	});

	$('#bpims_branch').change(function(){
		var val = $(this).val();

		if (val == "Cebu" || val == "Bacolod" || val == "Iloilo" || val == "CDO" || val == "Davao")
		{
			$('#v-use1').prop("checked", true);
		}
		else
		{
			$('#v-use1').prop("checked", false);
		}
	})
});
</script>