<?php echo Form::open('forms/send', array('id'=>'_form'));?>
<div class="row">
	<div class="span2"><label class="control-label">Last Name</label></div>
	<div class="span5"><?php echo Form::input('last_name', NULL, array('class'=>'span4 required textfield2', 'id'=>'last_name'));?></div>
</div>
<div class="row">
	<div class="span2"><label class="control-label">First Name</label></div>
	<div class="span5"><?php echo Form::input('first_name', NULL, array('class'=>'span4 required textfield2', 'id'=>'first_name'));?></div>
</div>
<div class="row">
	<div class="span2"><label class="control-label">Middle Initial</label></div>
	<div class="span5"><?php echo Form::input('middle_initial', NULL, array('class'=>'span1', 'maxlength'=>'1'));?></div>
</div>
<div class="row">
	<div class="span2"><label class="control-label">Landline</label></div>
	<div class="span5"><?php echo Form::input('landline', NULL, array('class'=>'span4 required textfield8', 'id'=>'landline'));?></div>
</div>
<div class="row">
	<div class="span2"><label class="control-label">Mobile</label></div>
	<div class="span5"><?php echo Form::input('mobile', NULL, array('class'=>'span4 textfield8'));?></div>
</div>
<div class="row">
	<div class="span2"><label class="control-label">E-mail Address</label></div>
	<div class="span5"><?php echo Form::input('email', NULL, array('class'=>'span4 required email', 'id'=>'email'));?></div>
</div>
<div class="row">
	<div class="span2"><label class="control-label">Plan Number</label></div>
	<div class="span5"><?php echo Form::input('plan_number', NULL, array('class'=>'span4'));?></div>
</div>
<div class="row">
	<div class="span2"><label class="control-label">Your Message</label></div>
	<div class="span5"><?php echo Form::textarea('message', NULL, array('style'=>'width:450px; height:150px;', 'class'=>'required', 'id'=>'message'));?></div>
</div>
<div class="row">
	<div class="span7">* Please fill out all fields completely.  If not applicable, please put N/A.</div>
</div>
<div class="row" style="margin-top:20px;">
	<div class="span7 offset2">
		<button class="btn btn-success" type="submit" id="btn-submitted">Submit</button>
		<button class="btn btn-info" type="reset" id="btn-clear">Clear</button>
	</div>
</div>
<input type="hidden" name="form_type" value="<?php echo $form_type;?>">
<input type="hidden" name="token" value="<?php echo Security::token(true);?>" />
<?php echo Form::close();?>
<script src="<?php echo URL::site('assets/js/jquery.validate.min.js');?>"></script>
<script src="<?php echo URL::site('assets/js/additional-methods.js');?>"></script>
<style type="text/css">
	label.error {color: #b11116; font-size:12px;}
</style>
<script type="text/javascript">
$('#_form').validate({
	messages: {
		last_name: {
			required: 'Last Name field is empty. This data is required.'
		},
		first_name: {
			required: 'First Name field is empty. This data is required.'
		},
		landline: {
			required: 'Landline field is empty. This data is required.'
		},
		email: {
			required: 'E-mail Address field is empty. This data is required.',
			email: 'A valid Internet E-mail Address containing \'@\' and \'.\' is required.'
		},
		message: {
			required: 'Your Message field is empty. This data is required.'
		}
	}
});
</script>