<div class="row">
	<div class="span9">
		<div id="notice" class="alert-error alert" style="display:none;">
			<a href="javascript:void(0);" class="close">&times;</a>
			Unable to delete.  Please try again.
		</div>
		<fieldset>
		<legend>
			<span><?php echo $page_header;?></span>
			<span class="pull-right">
			<?php echo Form::open('admin/cms/search', array('id'=>'_form', 'style'=>'margin-bottom:0px;'));?>
				<div class="input-append">
				    <input class="span2" placeholder="Search" id="appendedInputButton" type="text" name="search_keyword">
				    <button class="btn" type="submit">Search</button>
    			</div>
    			<input type="hidden" name="status" value="<?php echo $status;?>">
    		<?php echo Form::close();?>
			</span>
		</legend>
		<?php /*
		<?php echo Form::open('admin/cms/sort', array('id'=>'_sortform', 'class'=>'form-inline'));?>
			<div>
				<label class="checkbox">Sort By: </label>
			    <?php echo Form::select('sort_field', $sort_fields, Session::instance()->get('s_sort_field') ? Session::instance()->get('s_sort_field') : NULL);?>
			    <?php echo Form::select('sort_by', array('DESC'=>'Descending', 'ASC'=>'Ascending'), Session::instance()->get('s_sort_by') ? Session::instance()->get('s_sort_by') : NULL, array('class'=>'span2'));?>
			    <button class="btn" type="submit">Go!</button>
			    <input type="hidden" name="redirect" value="list/<?php echo $status;?>" />
			</div>
		<?php echo Form::close();?>
		*/ ?>
		<table class="table table-hover table-condensed table-med tablesorter">
			<thead>
				<th style="width:150px;">Control No.</th>
				<th>Title</th>
				<th style="width:120px;">Content Type</th>
				<th style="width:100px;"><?php echo $status_date_label;?></th>
			</thead>
			<tbody>
			<?php
			foreach ($query as $res)
			{
				$id = $res->id;
				$content_type = Arr::get(MyHelper::content_types(), $res->content_type_id);
				$status_date = date('m/d/Y', strtotime($res->status_date));
			?>
			<tr>
				<td><a href="<?php echo URL::site('admin/cms/view/'.$id);?>" title="View"><?php echo $res->control_no;?></a></td>
				<td><?php echo $res->title;?></td>
				<td><?php echo $content_type;?></td>
				<td><?php echo $status_date;?></td>
			</tr>
			<?php
			}
			?>
			</tbody>
		</table>
		<div class="pager pagination">
			<span class="first"><i class="icon-step-backward"></i></span>
			<span class="prev"><i class="icon-chevron-left"></i></span>
			<span class="pagedisplay"></span> <!-- this can be any element, including an input -->
			<span class="next"><i class="icon-chevron-right"></i></span>
			<span class="last"><i class="icon-step-forward"></i></span>
			<select class="pagesize span1" title="Select page size">
			<option value="10">10</option>
			<option selected="selected" value="20">20</option>
			<option value="30">30</option>
			<option value="40">40</option>
			</select>
		</div>
		<?php /*
		<div class="pagination">
		  <?php echo $pagination;?>
		</div>
		*/ ?>
	</div>
</div>
<link href="<?php echo URL::site('assets/css/tablesorter.theme.default.css');?>" rel="stylesheet" />
<script src="<?php echo URL::site('assets/js/jquery.tablesorter.js');?>"></script>
<script src="<?php echo URL::site('assets/js/jquery.tablesorter.pager.min.js');?>"></script>
<script type="text/javascript">
	$(document).ready(function(){
		var pagerOptions = {
			// target the pager markup - see the HTML block below
			container: $(".pager"),
			// output string - default is '{page}/{totalPages}'; possible variables: {page}, {totalPages}, {startRow}, {endRow} and {totalRows}
			output: '{startRow} - {endRow} of ({totalRows})',
			// if true, the table will remain the same height no matter how many records are displayed. The space is made up by an empty
			// table row set to a height to compensate; default is false
			fixedHeight: false,
			// remove rows from the table to speed up the sort of large tables.
			// setting this to false, only hides the non-visible rows; needed if you plan to add/remove rows with the pager enabled.
			removeRows: false,
			// go to page selector - select dropdown that sets the current page
			cssGoto:         '.gotoPage'
		};

		$('table')
			.tablesorter()
			.tablesorterPager(pagerOptions);

	});
</script>