<div class="row">
	<div class="span6">
		<div id="notice" class="alert-error alert" style="display:none;">
			<a href="javascript:void(0);" class="close">&times;</a>
			<span id="msg">Invalid login info.  Please try again.</span>
		</div>
		<?php echo Form::open('admin/login/check', array('id'=>'login_form', 'class'=>'form-horizontal'));?>
		<fieldset>
			<legend>User Login <small><em>Provide your login info to access the site.</em></small></legend>
			<div class="control-group">
				<label class="control-label">Username:</label>
				<div class="controls">
					<input type="text" name="username" class="span3 required" />
				</div>
			</div>
			<div class="control-group">
				<label class="control-label">Password:</label>
				<div class="controls">
					<input type="password" name="password" class="span3 required" />
					<p class="help-block"><a href="<?php echo URL::site('admin/help/forgot_password');?>">Forgot your password?</a></p>
				</div>
			</div>
			<div class="form-actions">
				<button type="submit" class="btn btn-primary"><i class="icon-user icon-white"></i> Login</button>
				<button type="reset" class="btn"><i class="icon-refresh"></i> Clear</button>
			</div>
		</fieldset>
		<input type="hidden" name="token" value="<?php echo Security::token(true);?>" />
		<?php echo Form::close();?>
	</div>
</div>
<script type="text/javascript">
$(document).ready(function(){
	$("#login_form").validate({
	  	submitHandler: function(form) {
	  		$('.btn-primary').html('<i class="icon-time icon-white"></i> Loading...');
	  		
	  		$.post("<?php echo URL::site('admin/login/check');?>", $('#login_form').serialize(), function(data){
				if(data.result === false){
					$('#msg').html(data.msg);
					$("#notice").slideDown("slow");
					$('.btn-primary').html('<i class="icon-user icon-white"></i> Login');
				}else{
					location.href = "<?php echo URL::site('admin');?>/"+data.redirect;
				}
			}, "json");
			
			// form.submit();
	  	}
	});
});
</script>
