<div class="row">
	<div class="span12" style="text-align:center; margin-bottom:15px;">
		<label class="radio inline">
			<input type="radio" name="filter" class="filter" value="0" checked="checked" /> All Navigation
		</label>
		<label class="radio inline">
			<input type="radio" name="filter" class="filter" value="1" /> Active Navigation
		</label>
		<label class="radio inline">
			<input type="radio" name="filter" class="filter" value="2" /> In-active Navigation
		</label>
	</div>
	<div class="span12">
		<?php /*
		<div class="row">
			<div class="span3" style="text-align:center;">
			    <strong>Category</strong>
			</div>
			<div class="span3" style="text-align:center;">
			    <strong>Sub-Category 1</strong>
			</div>
			<div class="span3" style="text-align:center;">
			    <strong>Sub-Category 2</strong>
			</div>
			<div class="span2" style="text-align:center;">
			    <strong>Sub-Category 3</strong>
			</div>
			<div class="span1">&nbsp;</div>
		</div>
		*/ ?>
		<div class="row">
			<div class="span3">
				<strong>Category</strong><br />
				<?php echo Form::select('category', $arr_category, NULL, array('class'=>'span3', 'id'=>'categ', 'data-for'=>'sub1'));?>
			</div>
			<div class="span3" id="sub1">
			</div>
			<div class="span3" id="sub2">
			</div>
			<div class="span3" id="sub3">
			</div>
		</div>
		<div class="row" id="goto-page-div" style="display:none; margin-bottom:10px;">
			<div class="span12"><a class="btn btn-small btn-info" id="goto-page" target="_blank"><i class="icon-eye-open icon-white"></i> View Page</a></div>
		</div>
		<div class="row" id="gen-table" style="display:none;">
			<div class="span12"><a class="btn btn-small btn-info" id="generate-table"><i class="icon-list-alt icon-white"></i> Generate Table</a></div>
		</div>
		<div class="row" id="table-list">
		</div>
	</div>
</div>
<script type="text/javascript">
$(document).on('change', '#categ', function(){
	var categ_id = $(this).val();
	var data_for = $(this).attr('data-for');

	$('#sub2').html('');
	$('#sub3').html('');
	if (categ_id > 0)
	{
		$.post("<?php echo URL::site('admin/navtree/get_category_2');?>", {categ_id: categ_id, level: data_for, parent_id: 0},
			function(data){
				$('#'+data_for).html(data.htm);
				$('#gen-table').show();
				if (data.viewpage > 0)
				{
					$('#goto-page').attr('href', "<?php echo URL::site('cms/page');?>/"+data.viewpage);
					$('#goto-page-div').show();
				} else {
					$('#goto-page-div').hide();
				}
			}, 'json'
		);
	} else {
		$('#'+data_for).html('');
	}
});

$(document).on('change', '.subcategory', function(){
	var categ_id = $(this).val();
	var data_for = $(this).attr('data-for');
	var data_level = $(this).attr('data-level');
	var category_id = $('#category_id').val();

	if (categ_id > 0 && data_level <= 2)
	{
		// open the next subcategory dropdown select
		$.post("<?php echo URL::site('admin/navtree/get_category_2');?>", {categ_id: categ_id, level: data_for, parent_id: categ_id, category_id: category_id},
			function(data){
				if (data_for == 'sub2')
				{
					$('#sub3').html('');
				}
				$('#'+data_for).html(data.htm);
				$('#gen-table').show();
				if (data.viewpage > 0)
				{
					$('#goto-page').attr('href', "<?php echo URL::site('cms/page');?>/"+data.viewpage);
					$('#goto-page-div').show();
				} else {
					$('#goto-page-div').hide();
				}
			}, 'json'
		);
	} else {
		$('#'+data_for).html('');
		if (data_for == 'sub2')
		{
			$('#sub3').html('');
		}

		if (data_level == 3)
		{
			$('#gen-table').hide();
			$.post("<?php echo URL::site('admin/navtree/get_category_2');?>", {categ_id: categ_id, level: data_for, parent_id: categ_id, category_id: category_id},
				function(data){
					if (data.viewpage > 0)
					{
						$('#goto-page').attr('href', "<?php echo URL::site('cms/page');?>/"+data.viewpage);
						$('#goto-page-div').show();
					} else {
						$('#goto-page-div').hide();
					}
				}, 'json'
			);
		}
	}
});

$(document).on('click', '#generate-table', function(){
	var category = $('#categ').val();
	var category_name = $('#categ option:selected').html();
	var subcategory_1 = $('#subcategory_1').val();
	var subcategory_2 = $('#subcategory_2').val();
	var filter = $('.filter:checked').val();

	$.post("<?php echo URL::site('admin/navtree/generate_table');?>", {category: category, category_name: category_name, subcategory_1: subcategory_1, subcategory_2: subcategory_2, filter: filter},
		function(htm){
			$('#table-list').html(htm);
		}
	);
});
</script>