<div class="row">
	<div class="offset3 span6">
    	<?php echo Form::open('admin/setting/session_save', array('id'=>'_form', 'class'=>'form-horizontal'));?>
   	<fieldset>
			<legend><h4>Manage Session</h4></legend>
			<?php
			if ($flash_data)
			{
			?>
			<div class="alert">
			 	<button type="button" class="close" data-dismiss="alert">&times;</button>
			 	<?php echo $flash_data;?>
			 </div>
			<?php
			}
			?>
			<div class="control-group">
				<label class="control-label" style="width:220px;">Set Session Warning Duration<span class="help-inline"><small>Idle notification. (in seconds)</small></span></label>
				<div class="controls" style="margin-left:230px;">
					<?php echo Form::input('sess_time_warn', $sess_time_warn, array('id'=>'sess_time_warn', 'class'=>'required digits span1', 'maxlength'=>4));?>
				</div>
			</div>
			<div class="control-group">
				<label class="control-label" style="width:220px;">Set Session Timeout Duration<span class="help-inline"><small>Idle logout. (in seconds)</small></span></label>
				<div class="controls" style="margin-left:230px;">
					<?php echo Form::input('sess_time_logout', $sess_time_logout, array('id'=>'sess_time_logout', 'class'=>'required digits span1', 'maxlength'=>4));?>
				</div>
			</div>
			<div class="form-actions">
				<button type="submit" class="btn btn-primary"><i class="icon-ok-circle icon-white"></i> Save</button>
				<button type="reset" class="btn"><i class="icon-refresh"></i> Clear</button>
			</div>
		</fieldset>
		<input type="hidden" name="token" value="<?php echo Security::token(true);?>" />
		<input type="hidden" name="old_sess_time_warn" value="<?php echo $sess_time_warn;?>" />
		<input type="hidden" name="old_sess_time_logout" value="<?php echo $sess_time_logout;?>" />
		<?php echo Form::close();?>
   </div><!--/span-->
</div>
<script type="text/javascript">
$(document).ready(function(){
	$("#_form").validate({
		messages: {
			sess_time_warn: {
				required: 'Please indicate warning duration'
			},
			sess_time_logout: {
				required: 'Please indicate timeout duration'
			}
		},
		submitHandler: function(form) {
			if (confirm('Do you want to save your changes?'))
			{
				form.submit();
			}
		}
	});
});
</script>