<div class="row">
	<div class="span3">
        <?php echo $navlink;?>
    </div><!--/span-->
    <div class="span9">
    	<fieldset>
    		<legend><h4>Upload Template</h4></legend>
    		<?php echo Form::open('admin/template/save_upload', array('id'=>'_formtpl_upload', 'class'=>'form-horizontal', 'enctype'=>'multipart/form-data'));?>
    		<div class="control-group">
				<label class="control-label">Template Name</label>
				<div class="controls">
					<?php echo Form::input('name', NULL, array('id'=>'name', 'class'=>'span3', 'maxlength'=>70));?>
				</div>
			</div>
			<div class="control-group">
				<label class="control-label">Template File</label>
				<div class="controls">
					<?php /*
					<div class="fileupload fileupload-new" data-provides="fileupload">
						<div class="input-append">
							<div class="uneditable-input span3"><i class="icon-file fileupload-exists"></i> <span class="fileupload-preview"></span></div><span class="btn btn-file"><span class="fileupload-new">Select file</span><span class="fileupload-exists">Change</span><input type="file" name="template_file" id="template_file" /></span><a href="#" class="btn fileupload-exists" data-dismiss="fileupload">Remove</a>
							<label class="error" for="template_file" style="display:none;"></label>
						</div>
					</div>
					*/ ?>
					<?php echo Form::file('template_file', array('id'=>'template_file'));?>
					<label class="error" for="template_file" style="display:none;"></label>
				</div>
			</div>
			<div class="control-group">
				<label class="control-label">Attach Thumbnail</label>
				<div class="controls">
					<?php /*
					<div class="fileupload fileupload-new" data-provides="fileupload">
						<div class="input-append">
							<div class="uneditable-input span3"><i class="icon-file fileupload-exists"></i> <span class="fileupload-preview"></span></div><span class="btn btn-file"><span class="fileupload-new">Select file</span><span class="fileupload-exists">Change</span><input type="file" name="thumbnail" id="thumbnail" /></span><a href="#" class="btn fileupload-exists" data-dismiss="fileupload">Remove</a>
							<label class="error" for="thumbnail" style="display:none;"></label>
						</div>
					</div>
					*/ ?>
					<?php echo Form::file('thumbnail', array('id'=>'thumbnail'));?>
					<label class="error" for="thumbnail" style="display:none;"></label>
				</div>
			</div>
			<div class="control-group">
				<label class="control-label">Main Image</label>
				<div class="controls">
					<?php /*
					<div class="fileupload fileupload-new" data-provides="fileupload">
						<div class="input-append">
							<div class="uneditable-input span3"><i class="icon-file fileupload-exists"></i> <span class="fileupload-preview"></span></div><span class="btn btn-file"><span class="fileupload-new">Select file</span><span class="fileupload-exists">Change</span><input type="file" name="main_img" id="main_img" /></span><a href="#" class="btn fileupload-exists" data-dismiss="fileupload">Remove</a>
							<label class="error" for="main_img" style="display:none;"></label>
						</div>
					</div>
					*/ ?>
					<?php echo Form::file('main_img', array('id'=>'main_img'));?>
					<label class="error" for="main_img" style="display:none;"></label>
				</div>
			</div>
			<div class="control-group">
				<label class="control-label">Content Type</label>
				<div class="controls">
					<?php echo Form::select('content_type_id', $arr_ctypes, NULL, array('id'=>'content_type_id', 'class'=>'span3'));?>
				</div>
			</div>
			<div class="control-group">
				<label class="control-label">Field Definition</label>
				<div class="controls">
					<?php echo Form::input('sections', NULL, array('id'=>'sections', 'class'=>'span5'));?>
				</div>
			</div>
			<div class="form-actions">
				<button type="submit" class="btn btn-primary"><i class="icon-ok-circle icon-white"></i> Save changes</button>
			</div>
			<input type="hidden" name="token" value="<?php echo Security::token(true);?>" />
    		<?php echo Form::close();?>
    	</fieldset>
    </div>
</div>
<script src="<?php echo URL::site('assets/js/additional-methods.js');?>"></script>
<script type="text/javascript">
$(document).ready(function(){
	$("#_formtpl_upload").validate({
		rules: {
			name: {
				required: true,
				maxlength: 70,
				remote: {
					url: "<?php echo URL::site('admin/template/check');?>",
					type: "post"
				}
			},
			template_file: {
				required: true,
				extension: "php|html"
			},
			thumbnail: {
				required: true,
				accept: "image/gif,image/jpeg,image/png"
			},
			main_img: {
				required: true,
				accept: "image/gif,image/jpeg,image/png"
			}
		},
		messages: {
			name: {
				maxlength: 'Template file name should not exceed 70 characters.',
				remote: 'Template already exists. Please upload new template.'
			},
			template_file: {
				extension: 'File type is not recognized.  Please try re-uploading.'
			},
			thumbnail: {
				accept: 'File type is not recognized.  Please upload (gif,jpg,png) file type.'
			},
			main_img: {
				accept: 'File type is not recognized.  Please upload (gif,jpg,png) file type.'
			}
		}
	});
});
</script>