<div class="row">
	<div class="span9">
		<label>Category:</label>
		<?php echo Form::select('category', $arr_categories, Arr::get($data, 'category_id', NULL), array('class'=>'required span7', 'id'=>'category'));?>
	</div>
</div>
<div id="div-content">
</div>
<div id="div-tpl">
</div>
<div class="row">
	<div class="span9">
	<?php
	// $params = array('class'=>'span4 required titlefield', 'id'=>'title');
	$params = array('class'=>'span4 required', 'id'=>'title');
	if (Arr::get($data, 'charlimit') AND Arr::get($data, 'charlimit') > 0)
	{
		$params['maxlength'] = Arr::get($data, 'charlimit');
	}
	echo Form::label('title', 'Title');
	echo Form::input('title', html_entity_decode(Arr::get($data, 'title', NULL), ENT_QUOTES), $params);
	?>
	</div>
</div>
<div class="row">
	<div class="span9">
	<?php
	$file_info = '<span class="help-block"><small>JPEG, PNG, or GIF files only</small></span>';
	echo Form::label('image1', 'Ad Banner Image'.$file_info);

	$file_img = Arr::get($data, 'image1');
	$required = 'required';
	if ($file_img and is_file(DOCROOT.'/media/uploads/'.$file_img))
	{
		$required = '';
	?>
		<div style="margin-bottom:5px;" id="d_image1">
			<img src="<?php echo URL::site('media/uploads/'.$file_img);?>" /><?php /*<br /><a href="javascript:;" data-ref="image1" id="<?php echo $page_id;?>" rel="<?php echo $file_img;?>" class="rem-img">Remove</a>*/?>
			<input type="hidden" name="image1_hid" value="<?php echo $file_img;?>" />
		</div>
	<?php
	}
	/*
	?>
	<div class="fileupload fileupload-new" data-provides="fileupload">
  		<div class="input-append">
    		<div class="uneditable-input span3"><i class="icon-file fileupload-exists"></i> <span class="fileupload-preview"></span></div><span class="btn btn-file"><span class="fileupload-new">Select file</span><span class="fileupload-exists">Change</span><input type="file" name="image1" id="image1" class="<?php echo $required;?>" /></span><a href="#" class="btn fileupload-exists" data-dismiss="fileupload">Remove</a>
  		</div>
  		<label class="error" for="image1" style="display:none;">This field is required.</label>
	</div>
	*/
	?>
	<input type="file" id="image1" name="image1" class="<?php echo $required;?>" onChange="fileUpload(this.form, '<?php echo URL::site('admin/cms/upload_file/image1/img');?>', 'image1'); return false;" />
	<div id="div_image1" style="color:#f33; font-style:italic;"></div>
	<input type="hidden" name="file_image1" id="file_image1" value="<?php echo $file_img;?>">
	<label class="error" id="div_image1" for="image1"></label>
	</div>
</div>
<div class="row">
	<div class="span9">
	<?php
	echo Form::label('link1', 'Link');
	echo Form::input('link1', Arr::get($data, 'link1', NULL), array('class'=>'span4', 'id'=>'link1'));
	?>
	</div>
</div>
<div class="row">
	<div class="span2">
		<label>Start Date</label>
		<?php echo Form::input('startdate', Arr::get($data, 'start_date', NULL), array('class'=>'span2 required currentDate', 'id'=>'startdate'));?>
	</div>
	<div class="span2">
		<label>End Date</label>
		<?php echo Form::input('enddate', Arr::get($data, 'end_date', NULL), array('class'=>'span2 required currentDate', 'id'=>'enddate'));?>
	</div>
</div>
<div class="row">
	<div class="span9">
		<div class="form-actions">
			<button class="btn btn-success" type="submit" id="btn-submitted">Submit for Checking</button>
			<button class="btn btn-warning" type="button" id="btn-preview">Preview</button>
			<button class="btn btn-info" type="submit" id="btn-draft">Save</button>
			<button class="btn btn-inverse" type="reset" id="btn-clear">Clear All Fields</button>
			<button class="btn btn-danger" type="button" id="btn-del">Delete this Request</button>
		</div>
	</div>
</div>
<script type="text/javascript">
$(document).ready(function(){
	$('#startdate').datepicker({
		minDate: 0,
		onClose: function(selectedDate){
			var date = new Date(selectedDate);
			date.setDate(date.getDate() + 1);
			$("#enddate").datepicker("option", "minDate", date);
		}
	});

	$('#enddate').datepicker({
		minDate: 1
	});

	$('#title').rules('add', {
		messages: {
			required: "Please input a Title for this request"
		}
	});
/*
	$('#link1').rules('add', {
		messages: {
			required: "Please attach a URL/Link for this request"
		}
	});
*/
	$('#image1').rules('add', {
		extension: "png|jpg|gif",
		messages: {
			required: "Please attach an image for this request",
			extension: 'File type should be JPG, PNG, or GIF only'
		}
	});

	<?php
	if ($content_type == 3 AND $page_id)
	{
	?>
		$('#category').change();
	<?php
	}
	?>
})
</script>