<div class="row">
	<div class="span9">
		<?php echo Form::open('admin/cms/update', array('id'=>'_form'));?>
		<fieldset>
			<legend><?php echo $page_header;?><span class="pull-right"><a class="act-danger" id="close-form" href="#">&times;</a></span></legend>
			<div class="row">
				<div class="span3">
					<label>Control No:</label>
				</div>
				<div class="span6">
					<?php echo $page->control_no;?>
				</div>
			</div>
			<div class="row">
				<div class="span3">
					<label>Content Type:</label>
				</div>
				<div class="span6">
					<?php echo Arr::get(MyHelper::content_types(), $page->content_type_id);?>
				</div>
			</div>
			<?php
			if (Arr::get($arr_categories, 'category'))
			{
			?>
			<div class="row">
				<div class="span3">
					<label>Category:</label>
				</div>
				<div class="span6">
					<?php echo Arr::get($arr_categories, 'category');?>
				</div>
			</div>
			<?php
			}

			if (Arr::get($arr_categories, 'subcateg1'))
			{
			?>
			<div class="row">
				<div class="span3">
					<label>Sub Category 1:</label>
				</div>
				<div class="span6">
					<?php echo Arr::get($arr_categories, 'subcateg1');?>
				</div>
			</div>
			<?php
			}

			if (Arr::get($arr_categories, 'subcateg2'))
			{
			?>
			<div class="row">
				<div class="span3">
					<label>Sub Category 2:</label>
				</div>
				<div class="span6">
					<?php echo Arr::get($arr_categories, 'subcateg2');?>
				</div>
			</div>
			<?php
			}

			if (Arr::get($arr_categories, 'subcateg3'))
			{
			?>
			<div class="row">
				<div class="span3">
					<label>Sub Category 3:</label>
				</div>
				<div class="span6">
					<?php echo Arr::get($arr_categories, 'subcateg3');?>
				</div>
			</div>
			<?php
			}

			if ($segments)
			{
			?>
			<div class="row">
				<div class="span3">
					<label>Segment:</label>
				</div>
				<div class="span6">
					<?php echo $segments;?>
				</div>
			</div>
			<?php
			}

			if (isset($meta_title))
			{
			?>
			<div class="row">
				<div class="span3">
					<label>Meta Title:</label>
				</div>
				<div class="span6">
					<?php echo $meta_title;?>
				</div>
			</div>
			<?php
			}

			if (isset($meta_description))
			{
			?>
			<div class="row">
				<div class="span3">
					<label>Meta Description:</label>
				</div>
				<div class="span6">
					<?php echo $meta_description;?>
				</div>
			</div>
			<?php
			}

			if (isset($meta_keyword))
			{
			?>
			<div class="row">
				<div class="span3">
					<label>Meta Keyword:</label>
				</div>
				<div class="span6">
					<?php echo $meta_keyword;?>
				</div>
			</div>
			<?php
			}

			$preview2 = 'Preview';
			// For Client Update and Splash Page Violator Layout Preview
			if ($page->content_type_id == 5 OR $page->content_type_id == 6)
			{
				if ($page->content_type_id == 5)
				{
					$preview1 = 'Client Update Headline Preview';
					$preview2 = 'Client Update Archive Preview';
				}
				else
				{
					$preview1 = 'Splash Page Violator Headline Preview';
					$preview2 = 'Splash Page Violator Archive Preview';
				}
			?>
			<div class="row">
				<div class="span3">
					<label><?php echo $preview1;?>:</label>
				</div>
				<div class="span6">
					<a href="<?php echo URL::site('layout_preview/'.$page->control_no);?>" target="_blank">Click here</a>
				</div>
			</div>
			<?php
			}
			?>
			<div class="row">
				<div class="span3">
					<label><?php echo $preview2;?>:</label>
				</div>
				<div class="span6">
					<a href="<?php echo URL::site('preview2/'.$page->control_no);?>" target="_blank">Click here</a>
				</div>
			</div>
			<div class="row">
				<div class="span3">
					<label>Start Date:</label>
				</div>
				<div class="span6">
					<?php echo date('m/d/Y', strtotime($page->start_date));?>
				</div>
			</div>
			<div class="row">
				<div class="span3">
					<label>End Date:</label>
				</div>
				<div class="span6">
					<?php echo date('m/d/Y', strtotime($page->end_date));?>
				</div>
			</div>
			<?php
			if (MyHelper::check_role_status($user_role, $page->status))
			{
			?>
			<div id="action">
			<div class="row">
				<div class="span9 form-actions">
				<?php
				if ($user_role == 4 AND ($page->status == 'published' OR $page->status == 'archived' OR $page->status == 'rework-archive')) // Maker and Page is published or archived or rework-archive
				{
				?>
					<?php
					if ($page->status == 'archived') {
					?>
					<button class="btn btn-info" type="submit" id="btn-copy-archive">Create New Copy</button>
					<?php
					} else if ($page->status == 'rework-archive') {
					?>
					<button class="btn btn-warning" type="button" id="btn-archive-submit">Request for Archiving</button>
					<button class="btn btn-danger" type="submit" id="btn-cancel-request-archive">Cancel Request</button>
					<?php
					} else {
					?>
					<button class="btn btn-info" type="submit" id="btn-copy">Create New Copy</button>
					<button class="btn btn-warning" type="button" id="btn-archive">Request for Archiving</button>
					<?php
					}
				}
				else if ($user_role == 5) // Checker
				{
					if ($page->status == 'request-archive')
					{
						$has_checker2 = MyHelper::has_checker2($page->content_type_id, $page->category_id);

						if ($has_checker2)
						{
					?>
						<button class="btn btn-success" type="submit" id="btn-check2-archive">Check</button>
					<?php
						} else {
					?>
						<button class="btn btn-success" type="submit" id="btn-check-archive">Check</button>
					<?php
						}
					?>
						<button class="btn btn-info" type="button" id="btn-rework-archive">Rework</button>
						<button class="btn btn-danger" type="button" id="btn-denied-archive">Deny</button>
					<?php
					} else {
						$has_checker2 = 0;
						// check if there's a Checker 2 role assigned to this page through it's category
						$has_checker2 = MyHelper::has_checker2($page->content_type_id, $page->category_id);

						// echo Database::instance()->last_query;
						if ($has_checker2)
						{
						?>
						<button class="btn btn-success" type="submit" id="btn-pending-check">Check</button>
						<?php
						}  else {
						?>
						<button class="btn btn-success" type="submit" id="btn-pending-publish">Check</button>
						<?php
						}
						?>
						<button class="btn btn-info" type="button" id="btn-rework">Rework</button>
						<button class="btn btn-danger" type="button" id="btn-denied">Deny</button>
					<?php
					}
					?>
				<?php
				}
				else if ($user_role == 6) // Checker 2
				{
					if ($page->status == 'check-archive')
					{
					?>
						<button class="btn btn-success" type="submit" id="btn-for-archive">Check</button>
						<button class="btn btn-info" type="button" id="btn-rework-archive">Rework</button>
						<button class="btn btn-danger" type="button" id="btn-denied-archive">Deny</button>
					<?php
					} else {
					?>
						<button class="btn btn-success" type="submit" id="btn-pending-publish">Check</button>
						<button class="btn btn-info" type="button" id="btn-rework">Rework</button>
						<button class="btn btn-danger" type="button" id="btn-denied">Deny</button>
					<?php
					}
					?>
				<?php
				}
				else if ($user_role == 7) // Publisher
				{
					if ($page->status == 'pending-archive')
					{
					?>
					<button class="btn btn-success" type="submit" id="btn-archived">Archive</button>
					<button class="btn btn-info" type="button" id="btn-rework-archive">Rework</button>
					<?php
					} else {
					?>
					<button class="btn btn-success" type="submit" id="btn-published">Publish</button>
					<button class="btn btn-info" type="button" id="btn-rework">Rework</button>
					<?php
					}
					?>
				<?php
				}
				?>
				</div>
			</div>
			</div>
			<?php
			}
			?>
			<input type="hidden" name="btn_clicked" id="btn_clicked" value="" />
			<input type="hidden" name="page_id" id="page_id" value="<?php echo $page->id;?>" />
			<input type="hidden" name="token" value="<?php echo Security::token(true);?>" />
		</fieldset>
		<?php echo Form::close();?>
	</div>
</div>
<?php
if ($page_comments->count())
{
?>
<div class="row">
	<div class="span9">
		<a href="javascript:;" id="div-comments"><h4>Comments</h4></a>
	</div>
</div>
<div class="row" id="page-comments" style="display:none;">
	<div class="span9">
		<table class="table table-hover" style="font-size:12px;">
			<tbody>
			<?php
			foreach ($page_comments as $c)
			{
			?>
			<tr>
				<td valign="top">
					<?php echo $c->user->username.' '.$c->user->name;?><br />
					<?php echo date('m/d/Y h:i a', strtotime($c->comment_date));?>
				</td>
				<td valign="top"><?php echo html_entity_decode($c->comment);?></td>
			</tr>
			<?php
			}
			?>
			</tbody>
		</table>
	</div>
</div>
<?php
}
?>
<div class="row">
	<div class="span9">
		<a href="javascript:;" id="div-history"><h4>Document History</h4></a>
	</div>
</div>
<div class="row" id="document-history" style="display:none;">
	<div class="span9">
		<table class="table table-hover">
			<thead>
				<th>Date and Time</th>
				<th>Name of User</th>
				<th>Role</th>
				<th>Action</th>
			</thead>
			<tbody style="font-size:12px;">
			<?php
			foreach ($doc_history as $dh)
			{
			?>
			<tr>
				<td><?php echo Date('m/d/Y h:i a', strtotime($dh->date_added));?></td>
				<td><?php echo $dh->user_name;?></td>
				<td><?php echo $dh->role;?></td>
				<td><?php echo $dh->description;?></td>
			</tr>
			<?php
			}
			?>
			</tbody>
		</table>
	</div>
</div>
<script src="<?php echo URL::site('assets/js/jquery.validate.min.js');?>"></script>
<script src="<?php echo URL::site('assets/js/additional-methods.js');?>"></script>
<script type="text/javascript">
$(window).load(function(){
	$('#_form').validate({
		ignore: "input:hidden:not(input:hidden.required),input:hidden:not(input:hidden.htmlEditor)",
		errorPlacement: function (error, element) {
			if (element.hasClass("htmlEditor")) {
				error.insertAfter(element.next());
			}
			else {
				error.insertAfter(element);
			}
		},
		submitHandler: function(form) {
			var btn = $('#btn_clicked').val();
			switch (btn)
			{
				case 'button-rework':
				case 'button-rework-archive':
					var msg = 'Do you want to submit posting request for rework?';
					break;
				case 'button-denied':
				case 'button-denied-archive':
					var msg = 'This will mark the page as denied.  Continue?';
					break;
				case 'btn-pending-publish':
					var msg = 'Do you want to submit posting request for publishing?'
					break;
				case 'btn-published':
					var msg = 'This will now become visible in the site on the set start date. Continue?';
					break;
				case 'btn-request-archive':
				case 'btn-request-archive-rework':
					var msg = 'Do you want to submit posting request for archiving?';
					break;
				case 'btn-check-archive':
				case 'btn-check2-archive':
				case 'btn-for-archive':
					var msg = 'Do you want to submit posting request for archiving?'
					break;
				case 'btn-archived':
					var msg = 'For Archiving. Continue?';
					break;
				case 'btn-pending-check':
					var msg = 'Do you want to submit posting request for concurring?'
					break;
				case 'btn-copy':
					var msg = 'Create a copy of this published post and open for editing?'
					break;
				case 'btn-copy-archive':
					var msg = 'Create a copy of this archived post and open for editing?'
					break;
				case 'btn-cancel-request-archive':
					var msg = 'Do you want to cancel request for archiving?'
					break;
			}

			if (confirm(msg))
			{
				form.submit();
			}
		}
	});
})

$(document).on('click', ':button', function(){
	var btn_clicked = $(this).attr('id');
	$('#btn_clicked').val(btn_clicked);

	if (btn_clicked == 'btn-rework' || btn_clicked == 'btn-denied' || btn_clicked == 'btn-archive' || btn_clicked == 'btn-rework-archive' || btn_clicked == 'btn-denied-archive' || btn_clicked == 'btn-archive-submit')
	{
		$.post("<?php echo URL::site('admin/cms/show_comment_form');?>", {page_id: $('#page_id').val(), btn_clicked: btn_clicked},
			function(htm) {
				$('#action').html(htm);
			}
		);
	}
});

$(document).on('click', '#close-form', function(){
	window.location.href="<?php echo URL::site('admin/cms');?>";
});

$(document).ready(function(){
	$('#div-history').click(function(){
		$('#document-history').toggle();
	});

	$('#div-comments').click(function(){
		$('#page-comments').toggle();
	});
});
</script>