<div class="row">
	<div class="span3">
        <?php echo $navlink;?>
    </div><!--/span-->
    <div class="span9">
    	<fieldset>
    		<legend><h4>View Template</h4></legend>
			<div class="row">
				<div class="span3">
					<!-- Template Thumbnail Here -->
					Click to Preview<br />
					<a href="javascript:;" class="tpl-img" data-main="<?php echo $tpl->main_img;?>">
					<?php
					if (file_exists(DOCROOT.'/media/template/'.$tpl->thumbnail))
					{
						echo HTML::image('media/template/'.$tpl->thumbnail, array('border'=>0));
					} else {
						echo HTML::image('assets/images/300x200.png', array('border'=>0));
					}
					?>
					</a>
				</div>
				<div class="span5">
					<?php echo Form::open('admin/template/update_tpl', array('id'=>'_formtpl'));?>
					<div class="row">
						<div class="span2"><label>Content Type</label></div>
						<div class="span3"><?php echo $tpl->content_type->name;?></div>
					</div>
					<?php
					$img_dimension = $tpl->img_dimensions ? json_decode($tpl->img_dimensions, true) : '';
					if (is_array($img_dimension))
					{
					foreach ($img_dimension as $l => $d)
					{
					?>
					<div class="row">
						<div class="span2"><label><?php echo $l;?></label></div>
						<div class="span3"><?php echo $d;?></div>
					</div>
					<?php
					}
					}
					?>
					<?php /*
					<div class="row">
						<div class="span2"><label>Limit No of Characters</label></div>
						<div class="span3" id="char-limit"><?php echo number_format($tpl->char_limit, 0);?></div>
					</div>
					*/ ?>
					<input type="hidden" name="tpl_id" id="tpl_id" value="<?php echo $tpl->id;?>" />
					<input type="hidden" name="old_char_limit" id="old_char_limit" value="<?php echo $tpl->char_limit;?>" />
					<input type="hidden" name="token" id="token" value="<?php echo Security::token();?>" />
					<?php echo Form::close();?>
				</div>
				<div class="offset2 span3">
				<?php /*
					<button type="button" id="btn-edit" class="btn btn-primary">Edit</button>
					<button type="button" id="btn-save" class="btn btn-success" disabled="disabled">Save</button>
				*/ ?>
					<button type="button" id="btn-delete" class="btn btn-danger">Delete</button>
				</div>
			</div>
			<div class="row">
				<div class="span8" id="comment-form" style="display:none; margin-top:10px;">
					<?php echo Form::open('admin/template/delete_tpl', array('id'=>'_form-del', 'class'=>'form-horizontal'));?>
					<div class="row">
						<div class="span7">
							<label>Your comment here:</label>
							<?php echo Form::textarea('comment', NULL, array('class'=>'span3 htmlEditor htmlEditorLimit', 'id'=>'comment', 'maxlength'=>500));?>
							<script>
								CKEDITOR.replace("comment", {
									width: 700
								});
							</script>
						</div>
					</div>
					<div class="row" style="margin-top:20px;">
						<div class="span7">
							<button type="submit" id="btn-del" class="btn btn-danger">Confirm & Delete</button>
							<a class="btn" href="<?php echo URL::site('admin/template');?>">Cancel</a>
						</div>
					</div>
					<input type="hidden" name="token" value="<?php echo Security::token();?>" />
					<input type="hidden" name="tpl_id" id="tpl_id" value="<?php echo $tpl->id;?>" />
					<?php echo Form::close();?>
				</div>
			</div>
		</fieldset>
	</div>
</div>
<link rel="stylesheet" type="text/css" href="<?php echo URL::site('assets/gritter/css/jquery.gritter.css');?>" />
<script type="text/javascript" src="<?php echo URL::site('assets/gritter/js/jquery.gritter.min.js');?>"></script>
<script src="<?php echo URL::site('assets/js/additional-methods.js');?>"></script>
<script type="text/javascript">
$(document).on('click', '#btn-edit', function(){
	var char_limit = $('#old_char_limit').val();
	$('#char-limit').html('<input type="text" name="char_limit" id="char_limit" value="'+char_limit+'" class="span1 required digits" />');
	$('#btn-save').removeProp('disabled');
});

$(document).on('click', '#btn-save', function(){
	var valid = $('#_formtpl').valid();

	if (valid)
	{
		$.post("<?php echo URL::site('admin/template/update_tpl');?>", $('#_formtpl').serialize(),
			function(d) {
				if (d.result) {
					$.gritter.add({
						// (string | mandatory) the heading of the notification
						title: 'Template',
						// (string | mandatory) the text inside the notification
						text: 'Template info has been updated.',
						time: 5000
					});
					$('#btn-save').prop('disabled', true);
					$('#old_char_limit').val(d.char_limit);
					$('#char-limit').html(d.char_limit2);
				}
			}, 'json'
		);
	}
});

$(document).on('click', '#btn-delete', function(){
	if (confirm('Are you sure you want to delete this template?'))
	{
		var tpl_id = $('#tpl_id').val();
		$.post("<?php echo URL::site('admin/template/check_tpl');?>", {tpl_id: tpl_id},
			function(data){
				if (data)
				{
					alert("Cannot process delete request. Posting/s are defined under this Template.\nTry again at a later time when posting/s have been purged.");
					return false;
				} else {
					// show comment form
					$('#comment-form').fadeIn();
					/*
					var token = $('#token').val();
					$.post("<?php echo URL::site('admin/template/delete_tpl');?>", {tpl_id: tpl_id, token: token},
						function(d){
							if (d)
								window.location.href="<?php echo URL::site('admin/template');?>";
						}, 'json'
					);
					*/
				}
			}, 'json'
		);
	}
});

$('#_form-del').validate({
	ignore: "input:hidden:not(input:hidden.required),input:hidden:not(input:hidden.htmlEditor)",
	errorPlacement: function (error, element) {
		if (element.hasClass("htmlEditor")) {
			error.insertAfter(element.next());
		}
		else {
			error.insertAfter(element);
		}
	},
	submitHandler: function(form) {
		form.submit();
	}
});

$(document).on('click', '.tpl-img', function(){
	var img = $(this).attr('data-main');
	$.post("<?php echo URL::site('admin/template/view_main');?>", {img: img}, function(data){
		var win=window.open('about:blank');
	   with(win.document)
	   {
	      open();
	      write(data);
	      close();
	   }
	});
});

$('#_formtpl').validate({
	messages: {
		char_limit: 'Please provide the number of characters'
	}
});

</script>