<?php echo Form::open('forms/send', array('id'=>'_form'));?>
<div class="row">
	<div class="span4">
		<label>Report year subject of this feedback form</label>
	</div>
	<div class="span5">
		<?php echo Form::select('report_year', $arr_year, NULL, array('class'=>'span2 required', 'id'=>'report_year'));?>
	</div>
	<div class="span8 offset1"><label class="error" for="report_year" style="display:none;"></label></div>
</div>
<div class="row">
	<div class="span1"><label>1.</label></div>
	<div class="span8"><label>To which stakeholder group do you belong?</label></div>
	<div class="span8 offset1">
		<label class="checkbox">
			<input type="checkbox" name="stakeholder[]" value="Customer" class="required"> Customer
		</label>
		<label class="checkbox">
			<input type="checkbox" name="stakeholder[]" value="BPI Employee"> BPI Employee
		</label>
		<label class="checkbox">
			<input type="checkbox" name="stakeholder[]" value="Investor"> Investor
		</label>
		<label class="checkbox">
			<input type="checkbox" name="stakeholder[]" value="Government/Regulatory Agency"> Government/Regulatory Agency
		</label>
		<label class="checkbox">
			<input type="checkbox" name="stakeholder[]" value="Supplier"> Supplier
		</label>
		<label class="checkbox">
			<input type="checkbox" name="stakeholder[]" value="NGO"> NGO
		</label>
		<label class="checkbox">
			<input type="checkbox" name="stakeholder[]" value="Industry Organization"> Industry Organization
		</label>
		<label class="form-inline">
			Others <?php echo Form::input('stakeholder_other', NULL, array('class'=>'span3'));?>
		</label>
		<label class="error" for="stakeholder[]" style="display:none;"></label>
	</div>
</div>
<div class="row">
	<div class="span1"><label>2.</label></div>
	<div class="span8"><label>How did you obtain a copy of the BPI Sustainability Report?</label></div>
	<div class="span8 offset1">
		<label class="checkbox">
			<input type="checkbox" name="obtain[]" value="BPI Website" class="required"> BPI Website
		</label>
		<label class="checkbox">
			<input type="checkbox" name="obtain[]" value="BPI Employee"> BPI Employee
		</label>
		<label class="form-inline">
			Others <?php echo Form::input('obtain_other', NULL, array('class'=>'span3'));?>
		</label>
		<label class="error" for="obtain[]" style="display:none;"></label>
	</div>
</div>
<div class="row">
	<div class="span1"><label>3.</label></div>
	<div class="span8"><label>What are your general comments about the report?</label></div>
	<div class="span8 offset1"><label><em>The report is well-structured and easy to understand.</em></label></div>
	<div class="span8 offset1">
		<label class="radio">
			<input type="radio" name="well_structured" value="Strongly Agree"> Strongly Agree
		</label>
		<label class="radio">
			<input type="radio" name="well_structured" value="Agree"> Agree
		</label>
		<label class="radio">
			<input type="radio" name="well_structured" value="Disagree"> Disagree
		</label>
		<label class="radio">
			<input type="radio" name="well_structured" value="Strongly Disagree"> Strongly Disagree
		</label>
		<label class="radio">
			<input type="radio" name="well_structured" value="Neutral"> Neutral
		</label>
	</div>
</div>
<div class="row">
	<div class="span8 offset1"><label><em>The report is written in a reader-friendly way and is interesting to read.</em></label></div>
	<div class="span8 offset1">
		<label class="radio">
			<input type="radio" name="reader_friendly" value="Strongly Agree"> Strongly Agree
		</label>
		<label class="radio">
			<input type="radio" name="reader_friendly" value="Agree"> Agree
		</label>
		<label class="radio">
			<input type="radio" name="reader_friendly" value="Disagree"> Disagree
		</label>
		<label class="radio">
			<input type="radio" name="reader_friendly" value="Strongly Disagree"> Strongly Disagree
		</label>
		<label class="radio">
			<input type="radio" name="reader_friendly" value="Neutral"> Neutral
		</label>
	</div>
</div>
<div class="row">
	<div class="span1"><label>4.</label></div>
	<div class="span8"><label>What is your overall impression of the report?</label></div>
	<div class="span8 offset1"><label><em>Content and Scope</em></label></div>
	<div class="span8 offset1">
		<label class="radio">
			<input type="radio" name="content_scope" value="Excellent"> Excellent
		</label>
		<label class="radio">
			<input type="radio" name="content_scope" value="Good"> Good
		</label>
		<label class="radio">
			<input type="radio" name="content_scope" value="Fair"> Fair
		</label>
		<label class="radio">
			<input type="radio" name="content_scope" value="Poor"> Poor
		</label>
	</div>
</div>
<div class="row">
	<div class="span8 offset1"><label><em>Layout and Design</em></label></div>
	<div class="span8 offset1">
		<label class="radio">
			<input type="radio" name="layout" value="Excellent"> Excellent
		</label>
		<label class="radio">
			<input type="radio" name="layout" value="Good"> Good
		</label>
		<label class="radio">
			<input type="radio" name="layout" value="Fair"> Fair
		</label>
		<label class="radio">
			<input type="radio" name="layout" value="Poor"> Poor
		</label>
	</div>
</div>
<div class="row">
	<div class="span1"><label>5.</label></div>
	<div class="span8"><label>Which part of the report did you find most interesting and helpful?</label></div>
	<div class="span8 offset1">
		<label class="checkbox">
			<input type="checkbox" name="most_interesting[]" value="Our Chairman's Message"> Our Chairman's Message
		</label>
		<label class="checkbox">
			<input type="checkbox" name="most_interesting[]" value="Our President's Message"> Our President's Message
		</label>
		<label class="checkbox">
			<input type="checkbox" name="most_interesting[]" value="About Us"> About Us
		</label>
		<label class="checkbox">
			<input type="checkbox" name="most_interesting[]" value="Corporate Governance"> Corporate Governance
		</label>
		<label class="checkbox">
			<input type="checkbox" name="most_interesting[]" value="Our Stakeholders"> Our Stakeholders
		</label>
		<label class="checkbox">
			<input type="checkbox" name="most_interesting[]" value="Our Operational Highlights"> Our Operational Highlights
		</label>
		<label class="form-inline">
			Others <?php echo Form::input('most_interesting_other', NULL, array('class'=>'span3'));?>
		</label>
	</div>
</div>
<div class="row">
	<div class="span1"><label>6.</label></div>
	<div class="span8"><label>Did the report address the issue relevant to you?</label></div>
	<div class="span8 offset1">
		<label class="radio">
			<input type="radio" name="address_issue" value="Yes"> Yes
		</label>
		<label class="radio">
			<input type="radio" name="address_issue" value="No"> No
		</label>
		<label class="radio">
			<input type="radio" name="address_issue" value="Not Sure"> Not Sure
		</label>
	</div>
</div>
<div class="row">
	<div class="span1"><label>7.</label></div>
	<div class="span8"><label>Please indicate other issues which should be addressed and included in the next report.</label></div>
	<div class="span8 offset1">
		<?php echo Form::textarea('other_issues', NULL, array('style'=>'width:400px; height:50px;', 'id'=>'other_issues'));?>
	</div>
</div>
<div class="row">
	<div class="span1"><label>8.</label></div>
	<div class="span8"><label>Other comments and suggestions?</label></div>
	<div class="span8 offset1">
		<?php echo Form::textarea('comments', NULL, array('style'=>'width:400px; height:50px;', 'id'=>'comments'));?>
	</div>
</div>
<div class="row">
	<div class="span8 offset1">
		<div class="row">
			<div class="span2"><label class="control-label">Last Name</label></div>
			<div class="span5"><?php echo Form::input('last_name', NULL, array('class'=>'span3 textfield3', 'id'=>'last_name', 'maxlength'=>'30'));?></div>
		</div>
		<div class="row">
			<div class="span2"><label class="control-label">First Name</label></div>
			<div class="span5"><?php echo Form::input('first_name', NULL, array('class'=>'span3 textfield3', 'id'=>'first_name', 'maxlength'=>'30'));?></div>
		</div>
		<div class="row">
			<div class="span2"><label class="control-label">Middle Name</label></div>
			<div class="span5"><?php echo Form::input('middle_name', NULL, array('class'=>'span3 textfield3', 'id'=>'middle_name', 'maxlength'=>'30'));?></div>
		</div>
		<div class="row">
			<div class="span2"><label class="control-label">Contact Nos.</label></div>
			<div class="span5"><?php echo Form::input('contact_nos', NULL, array('class'=>'span3 number', 'id'=>'contact_nos', 'maxlength'=>'30'));?></div>
		</div>
		<div class="row">
			<div class="span2"><label class="control-label">E-mail Address</label></div>
			<div class="span5"><?php echo Form::input('email', NULL, array('class'=>'span3 email', 'id'=>'email'));?></div>
		</div>
	</div>
</div>
<div class="row" style="margin-top:20px;">
	<div class="span7 offset1">
		<button class="btn btn-success" type="submit" id="btn-submitted">Submit</button>
		<button class="btn btn-info" type="reset" id="btn-clear">Clear</button>
	</div>
</div>
<input type="hidden" name="form_type" value="<?php echo $form_type;?>">
<input type="hidden" name="token" value="<?php echo Security::token(true);?>" />
<?php echo Form::close();?>
<script src="<?php echo URL::site('assets/js/jquery.validate.min.js');?>"></script>
<script src="<?php echo URL::site('assets/js/additional-methods.js');?>"></script>
<style type="text/css">
	label.error {color: #b11116; font-size:12px;}
</style>
<script type="text/javascript">
$('#_form').validate({
	messages: {
		report_year: {
			required: 'Please choose a report year for this feedback form.'
		},
		'stakeholder[]': {
			required: 'Please choose stakeholder.'
		},
		'obtain[]': {
			required: 'Please choose how you obtained a copy of the Sustainability Report.'
		},
		contact_nos: {
			number: 'Only numeric entries are accepted as valid inputs.'
		},
		email: {
			email: 'A valid Internet E-mail Address containing \'@\' and \'.\' is required.'
		},
	}
});
</script>