<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title><?php echo $meta_title;?></title>
		<?php
		if (isset($meta_description))
		{
		?>
		<meta name="description" content="<?php echo $meta_description;?>">
		<?php
		}
		if (isset($meta_keyword))
		{
		?>
		<meta name="keywords" content="<?php echo $meta_keyword;?>">
		<?php
		}
		?>
		<link href="<?php echo URL::site('assets/generic/css/bootstrap.min.css');?>" rel="stylesheet">
		<link href="<?php echo URL::site('assets/generic/css/app.css');?>" rel="stylesheet">
	</head>
	<body>
	<!-- Google Tag Manager -->
	<noscript><iframe src="//www.googletagmanager.com/ns.html?id=GTM-5Z35W2"
	height="0" width="0" style="display:none;visibility:hidden"></iframe></noscript>
	<script>(function(w,d,s,l,i){w[l]=w[l]||[];w[l].push({'gtm.start':
	new Date().getTime(),event:'gtm.js'});var f=d.getElementsByTagName(s)[0],
	j=d.createElement(s),dl=l!='dataLayer'?'&l='+l:'';j.async=true;j.src=
	'//www.googletagmanager.com/gtm.js?id='+i+dl;f.parentNode.insertBefore(j,f);
	})(window,document,'script','dataLayer','GTM-5Z35W2');</script>
	<!-- End Google Tag Manager -->

	<?php echo $content;?>

	<script src="<?php echo URL::site('assets/generic/js/jquery.min.js');?>"></script>
   <script src="<?php echo URL::site('assets/generic/js/bootstrap.min.js');?>"></script>
	</body>
</html>