<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Admin_Home extends Controller_Template {

	public $template = 'template/admin2_tpl';

	public function before()
	{
		parent::before();

		$this->session = Session::instance();

		//checking if Administrator is logged in
		if( ! $this->session->get('user_id'))
		{
			throw HTTP_Exception::factory(404, 'URL not found!');
		}

		$user_role_id = $this->session->get('user_role_id');
		// Only Level 1 and User Admin can access this module (id 1 and 2)
		if ($user_role_id > 3)
		{
			throw HTTP_Exception::factory(500, 'Access not allowed.');
		}
	}

	public function action_index()
	{
		$nav = 'nav_home';
		if ($this->session->get('nav_link') != $nav)
		{
			$this->session->set('nav_link', $nav);
		}

		$this->template->content = '<h2>Welcome Page</h2>';
	}

	public function action_idle_warning()
	{

	}
}