﻿<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Admin_Logout extends Controller {

	public function before()
	{
		$this->session = Session::instance();
	}

	public function action_index()
	{
		// For Activity
		$log_action = "Log Out";
		$log_description = "Logged out on ".date('Y-m-d H:i:s', time());

		// Log Activity
		Activity::add($this->session->get('user_id'), $log_action, $log_description);

		$this->session->destroy();

		$this->redirect('admin');
	}

	public function action_auto()
	{
		// For Activity
		$log_action = "Log Out";
		$log_description = "Auto logged out on ".date('Y-m-d H:i:s', time());

		// Log Activity
		Activity::add($this->session->get('user_id'), $log_action, $log_description);

		$this->session->destroy();
	}

	public function action_push()
	{
		// For Activity
		$log_action = "Log Out";
		$log_description = "Auto logged out on ".date('Y-m-d H:i:s', time())." due to multiple login from another machine";

		// Log Activity
		Activity::add($this->session->get('user_id'), $log_action, $log_description);

		$this->session->destroy();

		$this->redirect('admin');
	}
}