<div class="row">
	<div class="span12">
		<table class="table table-hover table-condensed table-med tablesorter">
			<thead>
				<th style="width:150px;">Control No.</th>
				<th style="width:50%;">Title</th>
				<th style="width:40%;">Page URL</th>
			</thead>
			<tbody>
			<?php
			foreach ($query as $res)
			{
				$id = $res->id;
				$content_type = Arr::get(MyHelper::content_types(), $res->content_type_id);
				$status_date = date('m/d/Y', strtotime($res->status_date));
				$category_id = $res->category_id;
				$sub_category1 = $res->sub_category1;
				$sub_category2 = $res->sub_category2;
				$sub_category3 = $res->sub_category3;
				if ($cms == 1)
				{
					$navlink = MyHelper::search_navstring($category_id, $sub_category1, $sub_category2, $sub_category3, true);
				} else {
					$navlink = MyHelper::search_navstring($category_id, $sub_category1, $sub_category2, $sub_category3);
				}
			?>
			<tr>
				<td><?php echo $res->control_no;?></td>
				<td><?php echo $res->title;?></td>
				<td>
				<?php
				if ($cms == 1)
				{
					echo $navlink;
				} else {
				?>
					<a href="javascript:;" class="cmslink" rel="<?php echo $navlink;?>" data-target="<?php echo $target_id;?>"><?php echo $navlink;?></a>
				<?php
				}
				?>
				</td>
			</tr>
			<?php
			}
			?>
			</tbody>
		</table>
		<div class="pager pagination">
			<span class="first"><i class="icon-step-backward"></i></span>
			<span class="prev"><i class="icon-chevron-left"></i></span>
			<span class="pagedisplay"></span> <!-- this can be any element, including an input -->
			<span class="next"><i class="icon-chevron-right"></i></span>
			<span class="last"><i class="icon-step-forward"></i></span>
		</div>
	</div>
</div>
<?php
if ($cms == 1)
{
?>
<script src="<?php echo URL::site('assets/js/jquery-1.10.2.min.js');?>"></script>
<?php
}
?>
<link href="<?php echo URL::site('assets/css/tablesorter.theme.default.css');?>" rel="stylesheet" />
<script src="<?php echo URL::site('assets/js/jquery.tablesorter.js');?>"></script>
<script src="<?php echo URL::site('assets/js/jquery.tablesorter.pager.min.js');?>"></script>
<script type="text/javascript">
	$(document).ready(function(){
		var pagerOptions = {
			// target the pager markup - see the HTML block below
			container: $(".pager"),
			// output string - default is '{page}/{totalPages}'; possible variables: {page}, {totalPages}, {startRow}, {endRow} and {totalRows}
			output: '{startRow} - {endRow} of ({totalRows})',
			// if true, the table will remain the same height no matter how many records are displayed. The space is made up by an empty
			// table row set to a height to compensate; default is false
			fixedHeight: false,
			// remove rows from the table to speed up the sort of large tables.
			// setting this to false, only hides the non-visible rows; needed if you plan to add/remove rows with the pager enabled.
			removeRows: false,
			// go to page selector - select dropdown that sets the current page
			cssGoto:         '.gotoPage'
		};

		$('table')
			.tablesorter()
			.tablesorterPager(pagerOptions);

	});
</script>