<div class="row">
	<div class="span9">
		<?php echo Form::open('admin/media/remove_files', array('id'=>'_form-file-list'));?>
		<fieldset>
		<legend><?php echo $header;?></legend>
		<div class="row" style="margin-bottom:10px;">
			<div class="span5"><strong>File Name</strong></div>
			<div class="span2"><strong>Status</strong></div>
			<div class="span2"><strong>Date Created</strong></div>
		</div>
		<?php
		$current_time = time();
		$show_delete_btn = false;
		foreach ($sql as $res)
		{
			$page_start_d8 = strtotime($res->page->start_date);
			$page_end_d8 = strtotime($res->page->end_date);

			/*
			if ($current_time > $page_start_d8 AND $current_time > $page_end_d8)
			{
				$status = 'Inactive';
			} else if ($current_time >= $page_start_d8 AND $current_time <= $page_end_d8) {
				$status = 'Active';
			}
			*/
			if ($res->page->status == 'archived')
			{
				$status = 'Inactive';
			} else {
				$status = 'Active';
			}
		?>
		<div class="row">
			<div class="span5">
				<label class="checkbox">
					<?php
					if ($status == 'Inactive')
					{
						$show_delete_btn = true;
					?>
					<input type="checkbox" name="file[<?php echo $res->id;?>]" value="<?php echo $res->filename;?>">
					<?php
					}
					?>
					<a href="<?php echo URL::site('media/uploads/'.$res->filename);?>" target="_blank"><?php echo $res->filename;?></a>
				</label>
			</div>
			<div class="span2"><?php echo $status.' -'.$res->page->status;?></div>
			<div class="span2"><?php echo date('m/d/Y h:i a', strtotime($res->date_added));?></div>
		</div>
		<?php
		}
		?>
		<fieldset>
		<?php
		if ($show_delete_btn)
		{
		?>
		<br />
		<button type="submit" class="btn btn-danger" id="del-btn">DELETE</button>
		<?php
		}
		?>
		<input type="hidden" name="token" value="<?php echo Security::token(true);?>" />
		<input type="hidden" name="category_name" value="<?php echo $header;?>" />
		<?php echo Form::close();?>
	</div>
</div>
<?php
if ($show_delete_btn)
{
?>
<script type="text/javascript">
$(document).ready(function(){
	$('#del-btn').click(function(e){
		if ($("#_form-file-list input:checkbox:checked").length == 0)
		{
		    alert('Please select media file to be deleted.');
		    e.preventDefault();
		}
		else
		{
			if ( ! confirm('Are you sure you want to delete the selected media files?'))
			{
				e.preventDefault();
			}
		}
	});
});
</script>
<?php
}
?>