<div class="row">
	<div class="span4" style="text-align:center;">
		<h3>Segment</h3>
	</div>
	<div class="span4" style="text-align:center;">
		<h3>Menu</h3>
	</div>
	<div class="span4" style="text-align:center;">
		<h3>Category</h3>
	</div>
</div>
<div class="row">
	<div class="span4">
		<div class="well well-large" id="div-segment">
	<?php
	foreach ($arr_segments as $k => $segment_name)
	{
	?>
		<label><a href="javascript:;" class="segment" id="<?php echo $k;?>"><?php echo $segment_name;?></a></label>
	<?php
	}
	?>
		</div>
	</div>
	<div class="span4" id="div-menu">
	</div>
	<div class="span4" id="div-category">
	</div>
</div>
<script src="<?php echo URL::site('assets/js/additional-methods.js');?>"></script>
<script type="text/javascript">
$(document).on('click', '.segment', function(){
	var segment_id = $(this).attr('id');
	var segment_name = $(this).text();

	$('#div-category').html('');
	$.post("<?php echo URL::site('admin/menu/get_menus');?>", {segment_id: segment_id, segment_name: segment_name},
		function(htm){
			$('#div-menu').html(htm);
		}
	);
});

$(document).on('click', '#btn-add', function(){
	$('#div-add').hide();
	$('#menu-form').fadeIn();
});

$(document).on('click', '#btn-back', function(){
	$('#menu_name').val('');
	$('#div-add').fadeIn();
	$('#rename').hide();
	$('p#update-buttons').html('<button type="button" id="btn-rename" class="btn btn-primary btn-small">Rename</button> <button type="button" id="btn-del" class="btn btn-danger btn-small">Delete</button>');
	$('#menu-form').hide();
	$('#menu-form2').hide();
});

$(document).on('change', '.menuname', function(){
	$('#div-add').hide();
	$('#menu-form').hide();
	$('#menu_id').val($(this).val());
	$('#menu-form2').fadeIn();
});

$(document).on('click', '#btn-rename', function(){
	var text = $("input:checked + a").text();
	$('#menu_rename').val(text);
	$('p#update-buttons').html('<button type="submit" id="btn-update" class="btn btn-success btn-small">Update</button> <button type="button" id="btn-back" class="btn btn-small">Back</button>');
	$('#rename').fadeIn();
});

$(document).on('click', '#btn-del', function(){
	if (confirm('This will also remove categories attached to it.  Continue?'))
	{
		$.post("<?php echo URL::site('admin/menu/remove');?>", $('#_form-menu2').serialize(), function(){
			window.location.href="<?php echo URL::site('admin/menu/msg_view');?>";
		});
	}
});

// validate add menu
$(document).on('click', '#btn-save', function(){
	var form = $('#_form-menu');

	form.validate({
		rules: {
			menu: {
				required: true,
				maxlength: 70,
				remote: {
					url: "<?php echo URL::site('admin/menu/check');?>",
					type: "post"
				},
				textfield: true
			}
		}
	});

	form.valid();
});

$(document).on('click', '.menu', function(){
	var menu_id = $(this).attr('id');

	$.post("<?php echo URL::site('admin/menu/get_categories');?>", {menu_id: menu_id},
		function(htm){
			$('#div-category').html(htm);
		}
	);
});

// validate save category selection
$(document).on('click', '#btn-add-categ', function(){
	var form = $('#_form-categ');

	form.validate({
		rules: {
			'category[]': 'required'
		},
		messages: {
			'category[]': 'Please select at least one Category'
		}
	});

	form.valid();
});
</script>