<div class="row">
	<div class="span5">
		<p>Please complete the following fields.<br /><span style="color:#B21119;">(Fields marked with * must be completed)</span></p>
		<?php echo Form::open('page/submit_message', array('id'=>'_form_contact'));?>
			<div class="row">
				<div class="span2"><label class="control-label">Subject*</label></div>
				<div class="span3"><?php echo Form::select('subject', $arr_subjects, NULL, array('id'=>'subject'));?></div>
			</div>
			<div class="row">
				<div class="span2"><label class="control-label">Title*</label></div>
				<div class="span3">
					<label class="checkbox inline">
						<input type="radio" name="title" value="Mr" class="required"> Mr
					</label>
					<label class="checkbox inline">
						<input type="radio" name="title" value="Mrs"> Mrs
					</label>
					<label class="checkbox inline">
						<input type="radio" name="title" value="Miss"> Miss
					</label>
					<label for="title" class="error" style="display:none;">This field is required</label>
				</div>
			</div>
			<div class="row">
				<div class="span2"><label class="control-label">First Name*</label></div>
				<div class="span3"><?php echo Form::input('first_name', NULL, array('class'=>'required'));?></div>
			</div>
			<div class="row">
				<div class="span2"><label class="control-label">Middle Name*</label></div>
				<div class="span3"><?php echo Form::input('middle_name', NULL, array('class'=>'required'));?></div>
			</div>
			<div class="row">
				<div class="span2"><label class="control-label">Last Name*</label></div>
				<div class="span3"><?php echo Form::input('last_name', NULL, array('class'=>'required'));?></div>
			</div>
			<div class="row">
				<div class="span2"><label class="control-label">Email Address*</label></div>
				<div class="span3"><?php echo Form::input('email_address', NULL, array('class'=>'required email'));?></div>
			</div>
			<div class="row">
				<div class="span2"><label class="control-label">Phone</label></div>
				<div class="span3"><?php echo Form::input('phone', NULL);?></div>
			</div>
			<div id="subject-content">
			</div>
			<div class="row">
				<div class="span2"><label class="control-label">Your Message</label></div>
				<div class="span3">
					<?php echo Form::textarea('message', NULL, array('style'=>'height:100px;', 'id'=>'message'));?>
					<span class="help-block char-count">Limit of 10,000 characters</span>
				</div>
			</div>
			<div class="row">
				<div class="span2">&nbsp;</div>
				<div class="span3">
					<?php echo $captcha;?>
					<?php echo Form::input('captcha', NULL, array('style'=>'width:80px;'));?>
				</div>
			</div>
			<div id="div-confirm" style="display:none; margin-top:15px;">
			<div class="row">
				<div class="span5">
					<p>I acknowledge and agree that BPI may, in its discretion, publish or post my feedback or portions thereof with my name and email address and use the same for testimonials
					in My BPI Magazine or in other BPI sites or publications.</p>
					<p>To proceed click Continue</p>
				</div>
			</div>
			<div class="row">
				<div class="span2">&nbsp;</div>
				<div class="span3">
					<button type="submit" id="btn-confirm" class="btn btn-primary">Continue</button>
					<button type="button" id="btn-cancel" class="btn">Cancel</button>
				</div>
			</div>
			</div>
			<div id="div-send" style="margin-top:15px;">
			<div class="row">
				<div class="span2">&nbsp;</div>
				<div class="span3"><button type="button" id="btn-send" class="btn btn-primary">Send Message</button></div>
			</div>
			</div>
			<input type="hidden" name="token" id="token" value="<?php echo Security::token(true);?>">
		<?php echo Form::close();?>
	</div>
	<div class="span4" style="text-align:justify;">
		<p><strong>If you are a registered user of BPI Express Online, please indicate your registered email address in the Email Address field.</strong></p>
		<p>Reminders:</p>
		<p>
		<ul>
			<li>Lost, Stolen or Captured BPI ATM and Credit Cards should be reported immediately to our 24-hour Phonebanking service.</li>
			<li>Account-related requests require proper identification/ documentation, please call our 24-hour Phonebanking hotline for assistance.</li>
		</ul>
		</p>
		<p>Have you tried our Search Feature?</p>
		<p>Express Online's search feature lets you get the information you need at a click of a button. Click <a href="#">here</a> to try it out.</p>
	</div>
</div>
<style type="text/css">
label.error { color: #f00; }
</style>
<script src="<?php echo URL::site('assets/js/jquery.validate.min.js');?>"></script>
<script src="<?php echo URL::site('assets/js/additional-methods.js');?>"></script>
<script type="text/javascript">
$(document.body).on('click', '#btn-send', function(){
   var $form =$('#_form_contact');
   $form.validate({
    	rules: {
			subject: {valueNotEquals: 0},
			sending_date: {dateITA: true},
			birthdate: {dateITA: true},
			application_date: {dateITA: true},
			access_date: {dateITA: true},
			access_time: {time12h: true}
		}
   }).form();
});

$('#message').keypress(function(e) {
    var tval = $('#message').val(),
        tlength = tval.length,
        set = 10000,
        remain = parseInt(set - tlength),
        r = addCommas(remain);
    $('.char-count').text(r+' characters left');
    if (remain <= 0 && e.which !== 0 && e.charCode !== 0) {
        $('textarea').val((tval).substring(0, tlength - 1))
    }
});

function addCommas(nStr){
	nStr += '';
	x = nStr.split('.');
	x1 = x[0];
	x2 = x.length > 1 ? '.' + x[1] : '';
	var rgx = /(\d+)(\d{3})/;

	while (rgx.test(x1)) {
		x1 = x1.replace(rgx, '$1' + ',' + '$2');
	}

	return x1 + x2;
}

$(document).on('change', '#subject', function(){
	var val = $(this).val();

	if (val == 0)
	{
		$('#subject-content').html('');
	}
	else
	{
		switch (val)
		{
			case 'Insurance':
				window.location.href="http://www.bpi-philam.com/contact_us.html";
				break;
			case 'Investment':
				window.location.href="https://www.bpiassetmanagement.com/pages/contact-us/";
				break;
			default:
				$.post("<?php echo URL::site('page/subject_form');?>", {subject: val},
					function(htm){
						$('#subject-content').html(htm).fadeIn();
					},
					'html'
				);
		}
	}
});

// select a Concern field option
$(document).on('change', '#concern', function(){
	var val = $(this).val();
	var subject = $('#subject').val();

	$('#div-concern').html('');

	switch (val)
	{
		case 'Account Opening Inquiry':
			// for Deposits Concern
			$.get("<?php echo URL::site('page/deposits_concern');?>",
				function(htm){
					$('#div-concern').html(htm).fadeIn();
				},
				'html'
			);
			break;
		case 'Application Inquiry':
			if (subject == 'Credit Cards')
			{
				var url = "<?php echo URL::site('page/credit_cards_concern');?>";
			}
			else if (subject == 'Loans')
			{
				var url = "<?php echo URL::site('page/loans_concern');?>";
			}
			else if (subject == 'Prepaid Cards')
			{
				var url = "<?php echo URL::site('page/prepaid_cards_concern');?>";
			}

			$.get(url, function(htm) {
					$('#div-concern').html(htm).fadeIn();
				}, 'html'
			);

			break;
		case 'Internet Banking':
			// for Internet/Phone/Mobile Banking Concern
			$.get("<?php echo URL::site('page/banking_concern/internet');?>",
				function(htm){
					$('#div-concern').html(htm).fadeIn();
				},
				'html'
			);
			break;
		case 'Mobile Banking':
			// for Internet/Phone/Mobile Banking Concern
			$.get("<?php echo URL::site('page/banking_concern/mobile');?>",
				function(htm){
					$('#div-concern').html(htm).fadeIn();
				},
				'html'
			);
			break;
	}
});

$(document).on('change', '#app_submit', function(){
	var val = $(this).val();

	$('#app-submit-branch').hide();
	$('#app-submit-eo').hide();
	$('#app-submit-others').hide();
	if (val == 'Branch')
	{
		$('#app-submit-branch').fadeIn();
	}
	else if (val == 'Express Online' || val == 'Online')
	{
		$('#app-submit-eo').fadeIn();
	}
	else if (val == 'Others')
	{
		$('#app-submit-others').fadeIn();
	}
});

$(document).on('click', '#btn-send', function(){
	$('#div-send').fadeOut();
	$('#div-confirm').fadeIn();
});

$(document).on('click', '#btn-cancel', function(){
	$('#div-confirm').hide();
	$('#div-send').fadeIn();
});
</script>