<?php
if (Session::instance()->get('user_role_id') < 3)
{
    // User Admin and Level 1 Admin Role
?>
<div class="sub-header"><h4>Manage Users</h4></div>
<ul class="nav nav-pills nav-stacked">
	<li<?php echo Session::instance()->get('nav_link') == 'nav_users' ? ' class="active"' : '';?>>
    	<a href="<?php echo URL::site('admin/users');?>" class="navlink" rel="users">User Administration</a>
    	<ul class="nav nav-pills nav-stacked sub-nav" style="padding-left:12px;">
            <li<?php echo Session::instance()->get('sub_link') == 'sub_users' ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/users/create');?>" class="navlink" rel="create">Create User</a></li>
            <li<?php echo Session::instance()->get('sub_link') == 'sub_user_logs' ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/logs');?>" class="navlink" rel="logs">User Logs</a></li>
            <li<?php echo Session::instance()->get('sub_link') == 'sub_user_download' ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/users/download');?>" class="navlink" rel="download">Download List</a></li>
        </ul>
    </li>
</ul>
<?php
}
else if (Session::instance()->get('user_role_id') == 10)
{
    // CMS Admin Monitor
?>
<div class="sub-header"><h4>Manage Content</h4></div>
<ul class="nav nav-pills nav-stacked">
    <li<?php echo Session::instance()->get('nav_link') == 'nav_users' ? ' class="active"' : '';?>>
        <a href="#" class="navlink" rel="users">User Administration</a>
        <ul class="nav nav-pills nav-stacked sub-nav" style="padding-left:12px;">
            <li<?php echo Session::instance()->get('sub_link') == 'sub_user_logs' ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/logs');?>" class="navlink" rel="logs">User Logs</a></li>
        </ul>
    </li>
</ul>
<?php
}
else if (Session::instance()->get('user_role_id') == 3)
{
    // Data Admin Role
?>
<div class="sub-header"><h4>Manage Content</h4></div>
<ul class="nav nav-pills nav-stacked">
    <li<?php echo Session::instance()->get('nav_link') == 'nav_categories' ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/categories');?>">Categories</a></li>
    <li<?php echo Session::instance()->get('nav_link') == 'nav_templates' ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/templates');?>">Templates</a></li>
    <li<?php echo Session::instance()->get('nav_link') == 'nav_contenttype' ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/contenttype');?>">Content Type</a></li>
    <li<?php echo Session::instance()->get('nav_link') == 'nav_segments' ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/nav');?>">Segment Nav</a></li>
    <li<?php echo Session::instance()->get('nav_link') == 'nav_medialib' ? ' class="active"' : '';?>><a href="#">Media Library</a></li>
</ul>
<?php
}
else if (Session::instance()->get('user_role_id') > 3)
{
?>
<div class="sub-header"><h4>Manage Content</h4></div>
<ul class="nav nav-pills nav-stacked">
<?php
    if (Session::instance()->get('user_role_id') == 4)
    {
        // for Maker only
    ?>
	<li<?php echo Session::instance()->get('nav_link') == 'nav_newcms' ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/cms/new_posting');?>" class="navlink" rel="new_posting">New Posting</a></li>
    <?php
    }
    ?>
    <li<?php echo Session::instance()->get('nav_link') == 'nav_viewall' ? ' class="active"' : '';?>>
        <a href="<?php echo URL::site('admin/cms/view_all');?>" class="navlink" rel="view_all">View All</a>
        <ul class="nav nav-pills nav-stacked sub-nav" style="padding-left:12px;">
        <?php
        if (Session::instance()->get('user_role_id') == 4)
        {
            // Maker Role
        ?>
    		<li<?php echo (Session::instance()->get('nav_link') == 'archived') ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/cms/list/archived');?>" class="navlink" rel="archived">Archived</a></li>
    		<li<?php echo (Session::instance()->get('nav_link') == 'pending-publish') ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/cms/list/pending-publish');?>" class="navlink" rel="pending-publish">Checked</a></li>
    		<li<?php echo (Session::instance()->get('nav_link') == 'denied') ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/cms/list/denied');?>" class="navlink" rel="denied">Denied</a></li>
            <li<?php echo (Session::instance()->get('nav_link') == 'draft') ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/cms/list/draft');?>" class="navlink" rel="draft">Draft</a></li>
            <li<?php echo (Session::instance()->get('nav_link') == 'rework') ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/cms/list/rework');?>" class="navlink" rel="rework">For Rework</a></li>
            <li<?php echo (Session::instance()->get('nav_link') == 'pending-check') ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/cms/list/pending-check');?>" class="navlink" rel="pending-check">Pending For Checking</a></li>
            <li<?php echo (Session::instance()->get('nav_link') == 'published') ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/cms/list/published');?>" class="navlink" rel="published">Published</a></li>
        <?php
        }
        else if (Session::instance()->get('user_role_id') == 5)
        {
            // Checker Role
        ?>
        	<li<?php echo (Session::instance()->get('nav_link') == 'archived') ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/cms/list/archived');?>">Archived</a></li>
            <li<?php echo (Session::instance()->get('nav_link') == 'pending-publish') ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/cms/list/pending-publish');?>">Checked</a></li>
            <li<?php echo (Session::instance()->get('nav_link') == 'denied') ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/cms/list/denied');?>">Denied</a></li>
            <li<?php echo (Session::instance()->get('nav_link') == 'pending-check') ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/cms/list/pending-check');?>">Pending for Checking</a></li>
            <li<?php echo (Session::instance()->get('nav_link') == 'published') ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/cms/list/published');?>">Published</a></li>
        <?php
        }
        else if (Session::instance()->get('user_role_id') == 6)
        {
            // Checker 2 Role
        ?>
    		<li<?php echo (Session::instance()->get('nav_link') == 'archived') ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/cms/list/archived');?>">Archived</a></li>
    		<li<?php echo (Session::instance()->get('nav_link') == 'pending-publish') ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/cms/list/pending-publish');?>">Checked</a></li>
            <li<?php echo (Session::instance()->get('nav_link') == 'denied') ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/cms/list/denied');?>">Denied</a></li>
            <li<?php echo (Session::instance()->get('nav_link') == 'pending-concur') ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/cms/list/pending-concur');?>">Pending For Checking</a></li>
            <li<?php echo (Session::instance()->get('nav_link') == 'published') ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/cms/list/published');?>">Published</a></li>
        <?php
        }
        else if (Session::instance()->get('user_role_id') == 7)
        {
            // Publisher Role
        ?>
        	<li<?php echo (Session::instance()->get('nav_link') == 'archived') ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/cms/list/archived');?>">Archived</a></li>
            <li<?php echo (Session::instance()->get('nav_link') == 'pending-archive') ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/cms/list/pending-archive');?>">Pending for Archiving</a></li>
            <li<?php echo (Session::instance()->get('nav_link') == 'pending-publish') ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/cms/list/pending-publish');?>">Pending for Publishing</a></li>
            <li<?php echo (Session::instance()->get('nav_link') == 'published') ? ' class="active"' : '';?>><a href="<?php echo URL::site('admin/cms/list/published');?>">Published</a></li>
        <?php
        }
        ?>
        </ul>
    </li>
    <?php
    if (Session::instance()->get('user_role_id') == 4)
    {
    ?>
    <li><a href="javascript:;" id="cms-list">CMS List</a></li>
    <?php
    }
?>
</ul>
<?php
}
?>
<script type="text/javascript">
$(document).on('click', '#cms-list', function(){
    $.post("<?php echo URL::site('admin/cms/cms_list');?>", function(data){
        var win=window.open('about:blank','CMSList',"width=1000, height=500, location=0, menubar=0, scrollbars=1");
        with(win.document)
        {
            open();
            write(data);
            close();
        }
    });
});

</script>